Introduction

The project is designed in such a way that the users need only one file for any number of crew members. However, for sake of convenience of multiple users, the purchaser may create a shortcut to the parent project on the desktop. Data for each crew member for each month is stored separately in a database. The Master can filter the monthly data for the ship and export it, by a button click, to a proprietary encrypted text file. The file can be e-mailed to the office or retrieved into the project at any time.

The project is compatible with Excel 2003 SP3, 2007 SP2 OR SP3 and 2010 SP1. See Note

The project as delivered is fully functional except for the facility to print preview or print. To enable these two features the user should send us the product ID that is displayed in the License dialog box. Once we receive this ID, we can generate a release file to enable printing and print preview and any or all other evaluation mode stops are removed.

The user will need to save the release (license) file in the folder WRH in the same drive as the main project.

1. Note About Office 2010

Microsoft India has confirmed that BEFORE installing Office 2010, the user MUST completely uninstall previous versions of Office 2003 and Office 2007 (Especially 2007) from their PCs. If this is not done, Excel projects with user-defined functions and macros are likely to show compile errors.

Also, Office 2010 requires a clean install of Windows XP SP3 or later.

Please refer to http://support.microsoft.com/kb/971179

You may need to go through all the steps including the steps for manually removing previous versions. Once this is done, Office 2010 is a pleasure to use.

The Help About dialog box will show your existing Excel version number.

  • How to check the version of Office 2003 product
  • How to check the version of Office 2007 products
  • How to check the version of Office 2010 products

If needed, please download Service Packs from the links below -

    • Office 2003 SP2
    • Office 2003 SP3
    • Office 2007 SP2
    • Office 2007 SP3
    • Office 2010 32-bit SP1

  • The Product
  • What's New

Copyright © 1999-2015 Sovereign Newzealand®


The product

Introduction ››

This customised software caters to the complex regulations under ILO / MLC 2006, STCW, 33CFR, OPA90. 46USC 8104 Etc.

Though Flag States under whose domain, interpretation is supreme, advisory / consultative bodies such as O.C.I.M.F. can, and do, differ in their interpretation of the international regulations.

After communication with the O.C.I.M.F. and amended software certification from Lloyd's Register, London, we have provided the user with the option to select from -

  1. Convention Requirements Method
  2. O.C.I.M.F. Guidelines Method

In this way, shipowners and Masters may choose from either according to their circumstances.

With so many regulations in force (either running concurrently or partially excluded, dependent on the trading region), it is virtually impossible to manually calculate or even anticipate the violations that may ensue from a given pattern of work or rest over any given period. It is therefore, imperative that the users and evaluators have a friendly tool to enter the data and instantly see the warnings or violations. The tool should as far as possible indicate the hour at which the violation occurs and the clauses affected.

Our software provides a comprehensive display of hours worked, rested with tabulated violations under various governing regulations - Confirmed violations are shown in red font. Potential violations (clauses that are violated but whose riders are also not violated), are shown in pink. Proportional violating results at the top and bottom where enough hours are not available are shown in violet.


What's new

Introduction ››

With Version 2010.6.09

    • If encoded in the license, the user may enter the hours worked / rested in blocks of less than 30 minutes. The software will thus compute for the exact hours worked and rested. It is recommended that the user enters the hours in a precision of one tenth hours only (every 6 minutes).
    • The master may enter the 'normal' working hours for each crew
    • The master may set a sign off date. Days subsequent to this will be disabled in the Hours page.
    • If licensed, the master will be able to generate a consolidated report for the month showing a summary of NCs with other management level information generally enabled only for the office users.

With Version 2010.6.08

    • Changes are related to the Office bulk data features

With Version 2010.6.07

    • Allowed coding of the Custom Data file with 'Allow minimum 30 minutes' as countable rest period from the origninal minimum of one hour. Exisitng customers wanting this feature will need to approach the software vendor for a replacement custom data file.
    • Added a 'Y/N' column for denoting whether or not the vessel is in USA waters - for USA clauses 33CFR156(d) and 46USC8104(n).
    • Added fields for Company name and Ship's Group name in the Vessel Parameters dialog box.

With Version 2010.6.06

    • Added a filter to the GET CREW/DB dialog box to enable the user to filter only Inactive or only Active records.
    • Added facility to drag and drop data .PVF files into the GET CREW/DB dialog box as an alternative to selecting them from a Windows browser after clicking on the Import data file icon.

With Version 2010.6.05

    • Software has been made compatible with Far East Language Windows OS / Microsoft Office. This version can read older license, custom data and records files. Older versions will not be able to read license files, custom data files or record files created using this version or later.
    • Right-Click to delete signature images.
    • Print multiple crew reports at one time.
    • Setup schedule for Export of Crew Records.
    • Created a separate dialog box for authorized persons (HODs on the ships & QA/Fleet superintendents in the office) to mark inspection of the reports and annotate a status and insert a textual comment for each inspection.
    • Creates a text file with the names of the vessels' data imported with date and time. This to assist the office user to keep a track of the files that have been received and thereby determine if reminders need to be sent to the ship.
    • Allow the company to opt for the vendor to block toggling of MLC 2006 / STCW Waiver check box. The feature is incorporated into the license file.
    • Allow the company to opt for the vendor to restrict the number of USA Regulations clauses shown in the drop-down list. The feature is incorporated into the license file.
    • Allow the Master to make any crew inactive (sign off). The master may reverse the process, if needed. Such as in the case of a mistake or if the crew rejoins the vessel (then only a change of Report Start Date would be required).
    • The Master may create new month templates for all the active crew at one go via the 'New Month' dialog box.
    • New filter to enable the master to show 'All' or 'Active' or 'Inactive' crew in the CREWLIST dialog box.

With Version 2010.6.04

    • Export of overtime, hours worked/rested to a separate Excel workbook.
    • Alternative method of data entry provided for users who may prefer the mouse to the keyboard
    • Only for Office users with BulkData Add-on - Export of records in bulk.

With Version 2010.6.03

Licensing procedures streamlined.

With Version 2010.6.02.1

We have introduced a facility for the Master to assign a scanned signature for each crew. This feature is optional and should be used only if the ship owner requires to have signatures in printed copies at the office. (Reason : The file size increases with the images of the signatures).

With Version 2010.6.01

    • We have introduced a toggle button to enable the user to select from either 'Convention Requirements Method' or the 'OCIMF Guidelines Method' for setting of each computing period. Certification by Lloyd's Register, London has been obtained for this amendment.
    • Segregated the 46USC8104 regulations for clauses related to work hours in a drop-down box. the user may now select the clause relevant to his/her vessel

With Version 2010.5.01

We are happy to advise that this product has been certified by LLOYD'S REGISTER, LONDON as being compliant with all current regulations catering to work and rest hours under ILO 180 / MLC 2006 / STCW 2010 including exception clauses / OPA 90 / 33 CFR & 46 USC 8104.

The purchasers may opt for our Annual License or Permanent License. Please refer to the website or the About page for more details about the license and current pricing structure.

The product is packaged with two versions -

      • for Excel 2003
      • for Excel 2007 or later

The only difference between the two versions is that the Menu items are shown in the Excel Ribbon in the 2007 version.

When installing, the user may select either 2003 or 2007. (2007 is compatible with Excel 2010).

Should the user select 2003 and then some time later upgrade to 2007 or later, the user should take a full back up of the database and then install the project again and select 2007. After installing, the user should restore the database from the back up.

With Version 2010.4.xx

We have changed the method for entering the ship's parameters and the title data for each crew. In previous versions, the title area of the Hours page was free text and the user entered the relevant data directly in the cells in that section.

In this version, the Master user can set the ship's parameters and the details for each new crew. The user will no longer be able to freely change the data in the title area of the Hours page. All changes have to be made via the dedicated user-interfaces.

With Version 2010.3.xx

We have added multi-lingual support. If the working language is not English, the report pages will have the fields shown in the selected local language as well as in English. The language is selected from the drop down box in the Hours page.

We will be adding more languages in due time.

With Version 2010.2.xx -

We have included the feature of allowing the user to specify a date line crossing.

In the 'Hours' page, the user writes the figure 1 in column 'B' if the vessel has crossed the international date line from East to West (Date is Repeated) or -1 to denote a crossing from West to East (Date is Skipped).

A maximum of two crossings in each direction is permitted in any given month. Further, crossings have to be in opposite directions in the same month. I.E. Two consecutive crossings from East to West or West to East are invalid and will be automatically erased.

With Version 2010.1.xx -

Our software now caters to STCW 2010 (Manila Amendments). 2010 in the Version number denotes compliance with the 2010 'Manila Amendments'.

Code covering the '95 regulations has been deleted as we expect the 2010 convention to be ratified and come into force soon.

Hours worked data is saved to and retrieved from a database.

Older Versions

Hours worked data is saved to and retrieved from encrypted text files.


Getting Started

Watch Demo

  • http://youtu.be/Ws4bxj3iqmM
  • http://youtu.be/pBJUw1LG2SU

NOTE: The project MUST be installed in folder WRH (in any drive of your choice) -

Example: C:\WRH or D:\WRH or J:\WRH Etc.

When using from a networked PC, map the shared server drive, C: or D: or \Public\ or \Shared Documents\ drive to a single letter. Example J: or any other free letter. Then install the software in the free letter, Example 'J'. You can create a shortcut from the project application 'SNs Maritime ... 2003.exe' or 'SNs Maritime ... 2007.exe' file in this folder (Example J:\WRH) to your server and other LAN PC desktop.

Install this software on all PCs in the LAN which have their own Windows and MS Office. That is, all PCs that are not thin clients. After installing the software in the local C:\WRH or D:\WRH from the setup file, delete the entire C:\WRH or D:\WRH folder in all the other PCs except the server PC. This step is necessary to register MSCOMCTL.ocx properly.

Instructions for the Master :

When installing and using the product for the first time please follow these steps -

(Uninstall any trial versions before installing this copy)

Install to folder WRH in the drive purchased by your company (Fixed, Removable or Server).

    1. Select Master as user.
    2. Click on the Key image.
    3. Enter a new password. Thereafter, a Yellow List box will open.
    4. Close the yellow list box.
    5. Click on the Menu button (Office 2003) and then open the Help file and go through it.
    6. You, (the Master) will receive a custom data zipped file (SN????WRH.mdb, CUSTINFO????.pvf, ????BMP.jpg and ????BMP.bmp). The datbase will contain the bare minimum data, the second file contains the specific words in the reports pages, the other file(s) is the shipping company's logo. All these files should be saved in the same folder as the parent project.
    7. From the Menu dialog box (Ribbon in Office 2007) click on the 'Vessel Para' button and add the ship's IMO number, name, flag and ship type and save from the Save icon. This operation requires a PIN number.
    8. From the Menu dialog box (Ribbon in Office 2007) click on the Ranks button. With Version 2010.6.05.10 and later, the list of Ranks is encoded in the custom data file and the Ranks List dialog box data entry area is made Read Only. For previous versions, Add the ranks for each department according to your Safe Manning Certificate and Click on the Execute for each department. (You can use any other title for ranks not listed in the Safe Manning Certificate). In most cases, the Office will create a list of uniform ranks nomenclature for the fleet. In this case, the master should use the ranks from this list only as any deviation would be detrimental to the software's use in the office where the software executes comparisons and sub-totals of identical ranks.
    9. From the Menu dialog box (Ribbon in Office 2007) select click on the Crew List button. Add the data for each each crew member, starting with Master, Chief Engineer, Chief Officer, 1st/2nd Engineer. Then other crew.
    10. Go to the List of Holidays page and ..
      • Enter the holidays as per your CBA - up to four for officers and four for ratings
      • in rows 21 & 22 enter the night hours restricted for routine work for young seafarers
      • in row 3, enter the weekly working hours (valid data is from 40 to 48).
    1. From the Menu dialog box (Ribbon in Office 2007) select whether or not to force MLC
    2. Optional - Click on the Get Crew / DB button to open the yellow background dialog box. Select your (Master's) record and press the Enter key. Go to the Work Hours Page and ..
      • Enter the working hours for 'At Sea' and 'In Ports' for the deck department.

The catering department may be amalgamated into the deck department

      • Print if necessary.
      • Save the file with the save button for your records for the deck department
      • Repeat for the Engine Department
    1. Go back to the Hours page and ..
      • Click on the Menu button (Ribbon in Office 2007) and select Get and from the next box select your record.
      • Enter the computing period in cell K9, if necessary, via the Change Start Period dialog box.
      • Fill in the hours worked from start period up to date
      • Click on the Save button in the Menu dialog box. (Ribbon in Office 2007).
    1. Click on the Show License button. A box will pop up. Click on the Product Info button. Send this product ID to your company with ship details and they will forward it to the software author for generation of a license file. When you get the license file, just save it to the folder WRH where the parent project is stored.
    2. Instruct the other users how to select user on project open and get their record. How to set the filter if necessary. If their record is not seen, it means that the Master has not entered the basic data for that crew. The master should enter this crew's data from the Crew List dialog box.
    3. For OFFICE 2007 users only - If you do not already have the 'PRINT to PDF' add-on, please install this Excel add-on. We have included this add-on in our installer and you will find the file 'SaveAsPDF.exe' in the WRH folder.

For other new users - after the Master has done the above...

    1. Select User from Log In/Out dialog box suitable to your rank.
    2. Enter a new password. Thereafter, a Yellow List box will open.
    3. Select your name from yellow list box. If the list box is empty or your name is not seen, adjust the filter parameters correctly from the various drop down boxes (Vessel / Rank / Department / Vessel Type / Nationality / Date ).
    4. If after adjusting the filter, your name is still not seen, the master has not created your record. Inform the Master that your record is not seen in the Yellow dialog box.
    5. After getting your record from the yellow dialog box ..
    6. Fill in the hours section and any short notes in the Remarks column.
    7. Click on the Menu button (Ribbon for Office 2007) and click on Save.

Once this is done - the next time around ..

    1. Select User from Log In/Out dialog box suitable to your rank. Enter the password.
    2. The yellow dialog box will open with the correct filter showing your name in the list.
    3. Select your name and click on the Get button or double-click your name row.

  • System requirements
  • Getting help
  • Pages (Worksheets)
  • Preliminary Data Entry
  • Work Hours - Model Format


System requirements

Getting Started ››

Windows XP SP3 or later versions of Windows 32-bit or 64-bit

Microsoft Excel

2003 SP3,

2007 SP2 or SP3

2010 SP1. 32-bit

2013 / 365 32-bit

Instructions for setting up the projects

Download the package SNWRH.exe or as received by you from your company and save the file to a folder of your choice.

Install the package as you would with any other software. Select the drive from where you would like to run the application.

Example: C:\WRH or J:\WRH - The destination folder name must always be WRH

When using from a networked PC, the software has to be installed on a Full Control to 'Everyone' partition or virtual drive with a single letter. Single letter representation of a shared folder is done by mapping. Example: Give Full Control Permisisons to 'Everyone' to the folder D:\SNSOFT. Then from My Computer, Map Network Drive...' map the server D:\SNSOFT folder to a single letter. Example J: or any other free letter.

Install this software on all PCs which have their own Windows and MS Office. That is, all PCs that are not thin clients. After installing the software in the local C:\WRH or D:\WRH from the setup file, delete the entire C:\WRH or D:\WRH folder in all the other PCs except the server PC. This step is necessary to register MSCOMCTL.ocx properly.

You may choose to install desktop shortcut icons as below -

Continue with the installation until the Finish button is displayed.

Multiple users may create shortcuts in their own working folders or desktops to the parent application and use the project at the same time. It is assumed that the multiple users would be from different departments and work with either their own or concerned crew data.

The project when shipped has some arbitrary default data that can be used for testing purposes.

There are many ways to give clients a testing/trial run of the projects.

Examples

    • To put a time stop
    • To allow only 50 tries
    • Etc.

In the trial mode, we stop the printing. Also, only nine records are shown. The user makes a purchase and sends us the Product ID information. The product ID is shown when the user tries to preview or print. Example of product ID box

We need all of the Product ID to make a license file. Either copy it down carefully or simply click on the ‘Copy to Clipboard’ button. Then paste into an e-mail to us. You may also attach the product ID file which is generated and saved to the WRH folder.

We create a license file and send it back to the user.

The user saves this license file to ?:\WRH (where ? is the drive letter in which the main project is saved - The drive and folder is displayed in cell K10 in the Hours page )

To summarize

    • Download the installer package from the server.
    • Install to WRH folder in a drive of your choice. (Run the installer - on all PCs if used on a network). Delete WRH folder from all PCs except server PC.
    • Extract contents of the custom data files into the same WRH folder.
    • Open Help files for guidance. (Setup of vessel, ranks, Crewlist, list of holidays)
    • Try to preview or print.
    • Send us the Product ID.
    • Save the License file we send you, to folder “WRH” in same drive as Excel project file .
    • Once above is done, the project must work OK.

For getting upgrades -

    • The Master / Office Superintendent should save all existing records to a text file by using the Export facility. Or take a back up of the database from the back up button / icon or even zip and save the entire WRH folder.
    • Download the new installer package file from the server.
    • Run the installer as above. The custom database is not affected by upgrades.
    • If necessary, the Master / Office Superintendent can now Import the old data into the database by using the Import facility. Or restore from the backed up database via the button / icon.
    • Nothing else is needed.


Frequently Asked Questions

Getting Started ››

1. Where to install?

2. How to Network?

3. What are the Custom Data Files – Why are they required?

4. Why can’t I print? Why are only 9 records shown?

5. How do we get a License file?

6. I cannot set up the Vessel’s Parameters. Software is requiring a PIN. What is the PIN?

7. How do I prevent loss of my data?

8. I (master / CEO) have forgotten my password. Now what do I do?

9. How do I change the contents of the List of Holidays Page?

10. How do I change the contents of the Work Hours Page?

11. The software was running smoothly – all of a sudden it is showing a message box about a missing database file / help file. What should I do?

12. The software was running smoothly – all of a sudden it is showing the default data and all data entered from the beginning is gone. What should I do?

13. The Vessel Parameters data has been changed or The vessel IMO is changed and all data appears to be wiped out. What should I do?

14. Even though I setup the software according to the instructions, every time I open the software it shows the default data. Why?

15. How do I send the crew monthly data to the office?

16. How to create a blank template for a new month?

17. I do not like the mouse drag method for entering the worked hours. Is there another method?

18. Why are there only 16 rows in the Chart Table page, (we have 25 crew on board).

19. Why is the Work Regime greyed out? Why is the OCIMF method greyed out?

20. In the ribbon I see a Print Forms icon in Utilities Section and another Print icon in the Page Specific section. What’s the difference?

21. Why is such tiny font used in the reports? There appears to be ample place for a large font.

22. In the GET CREW/DB dialog box, I see so many filters but quite a few are greyed out. Why?

23. My record was seen in the GET CREW/DB dialog box yesterday. I can’t see my record today. I clicked on “All Records” but still cannot see my record. What happened?

24. What happens when a crew is signed off? Why do I see the record in the GET CREW/DB dialog box in between the currently serving crew?

25. Can MLC 2006 (forced or not forced) be permanently set?

26. Can I change the data entered previously?

27. What is the significance of the data in the Hour Effected page?

28. How do I upgrade?

29. Any Tips For Data Entry?

30. Can we print the reports to a file instead of on paper?

31. What is the CBA field in the CREWLIST dialog box for?

32. The Software is corrupted. Now what should I do?

33 . The NC & Comment box slider is not changing the selected day.

34. When double-clicking on an Excel short-cut, we get 'There was a problem sending the command to the progam'. The WRH software opens OK.

35 . Can I enter hours worked accurate to less than 30 minutes. Example - If I take a 10-minute duty round of the accommodation after a watch?

36. When I run the software I get an error message like "Error found in Custom UI XML of "C:\Users\....". Now what should I do?

(1). Where to install?

Always in a folder WRH in drive purchased by your company –

Fixed drives are typically C: or D:

Removable (Pen) drives

Network Drives typically G:, J:, M:, etc.

If the software does not run beyond the splash screen, the MS Office application is missing the required service packs. Please refer to http://www.cargocal.com/wrhdownloads.html#Download_Service_Packs_- to know how to determine your MS Office version and build number and for links to the service packs.

(2). How to Network?

The software has to be installed in the server PC – Shared to 'Everyone' Drive with FULL CONTROL 'Sharing' and 'Security' permissions , in folder WRH. –

Examples : C:\WRH or \\Public\WRH or \\Public\Shared Documents\WRH or \\ABCComp\Common\WRH

  • If not already done by your IT staff, map the server's shared drive -

Examples : \\Public\ or \\Public\Shared Documents\ or \\ABCComp\Common\

to a free letter – Say 'X'

Right-click on My Computer ..

You will get this ..

Select a free letter from the Drive drop down. Say 'X'

  • Click on 'Browse' and you will get something like this ....

Locate the server PC and then locate the shared drive C: or D: drive or 'Public', or 'Public\Shared Documents' or 'ABCComp\Common' etc. (where you installed/will install the WRH software)

and you will get something like this ...

  • Checkmark 'Reconnect at logon' and click on Finish. Now the server PC and other PCs will 'see' your server's shared drive as X:\
  • Go to the server PC and install the software SNWRH.exe in X:\WRH

  • Install the software on all PCs which have their own Windows & MS Office in C:\WRH
  • Delete the complete C:\WRH folder in all PCs except the server PC
  • For PCs with Office 2007 or later, put a link on the desktop of other PCs, to server PC WRH software file , 'X:\WRH\SNs Maritime WRHrs Control 2007.exe'
  • For PCs with Office 2003, the file to be linked will be 'X:\WRH\SNs Maritime WRHrs Control 2003.exe'

According to Microsoft support - With Windows Vista and later versions of Windows, , in order to save on computer resources, reconnecting on log on is not done automatically when the PC is restarted or after a fresh log on. The network drives will show in the Windows browser with a red cross instead of the expected green 'tail'. The user could write a batch file as follows and save it in the 'STARTUP' folder to force a reconnect.

    1. Open Notepad
    2. Type the following (replace 'X:' 'PCNAME-PC' and 'sharename' with your network parameters). The lines in green font below are optional.

net use X: \\PCNAME-PC\sharename

Tskill explorer.exe

echo.

echo.

echo STEP 2: Starting Explorer . . .

start explorer.exe

    1. Save the file as 'RECONNECTDRIVE.BAT' in the 'Startup' folder. You can find the 'Startup' folder from Start button -> All Programs

(3). What are the Custom Data Files – Why are they required?

The same software is for trial and full version usage. These custom files are used to change the trial mode software generic default data to those of purchasing company.

When the software opens, it looks for these files. If they are found, the reports’ headers are changed and the logo is changed. Data entered by the crew and master are appended to the custom database. If the custom data files are not found, the data is appended to the default trial database.

The vendor sends the custom data files to the company and the company forwards the custom data files to the ships.

The custom data files database contains the barest minimum data. The master should setup the vessel , the ranks and the crew list only after extracting the custom data files to the WRH folder.

(4). Why can’t I print? Why are only 9 records shown?

The software has to be registered for all its functions to be activated. In the un-registered state, the software shows only 9 records (up to 3 ships – for the office version) and printing is inhibited. There is also a time stop.

(5). How do we get a License file?

For the Office as well as for the ships -> Please make sure that the custom data files are in the WRH folder.

For the ships - Before invoking the Show License dialog box -

      • Setup the Vessel's Parameters
      • Setup the Ranks List (Not required with version 2010.6.05.10 or later as the ranks will be encoded in the custom data file)
      • Setup the Crew List (up to 9 crew may be entered in the evaluation mode - Crewlist setup can be done after receiving the license. Infact, it is better to wait for the license before filling in the crew details).

For the Office - The above three steps are not applicable.

When the software is un-registered, the ‘ Show License ’ dialog box is shown if the user tries to print or preview a page. This dialog box can be invoked from the Menu as well. The Sys/Product Info button in this dialog box contains the information the vendor needs to generate a license file. The information is saved to a text file in the WRH folder. Send this file to the vendor or copy all the text in the file and paste in an e-mail. All the information in the file is required for the generation of a license.

The vendor will verify the product Id against the purchase order status and create a small encrypted text file and send to the office user or ship's master directly or via the owner’s office. The Master/Office saves this file in the same WRH folder as the software.

The license file contains the following information –

  • Annual or Permanent
  • Fixed, Removable (Pen) or Network
  • OCIMF Guidelines Method active or not
  • Whether to fix MLC 2006 regulations or allow the user to select STCW 2010 waivers
  • Only the relevant USA clauses (for the type of ship) in the drop down box
  • Number of additional language packs purchased by the company and which language(s) to make available
  • Number of vessels for Bulk Data processing (Office use only – in sets of 10 vessels).
  • To allow / disallow entering of hours worked and rested in blocks of less than 30 minutes

(6). I cannot set up the Vessel’s Parameters. Software is requiring a PIN. What is the PIN?

The PIN number is not documented in the help files or anywhere else. The vendor will advise the ship owner’s representative about the PIN procedure. The master should contact the owner’s office for the same.

(7). How do I prevent loss of my data?

  • Do not divulge the PIN number to anyone except to the relieving master.
  • Take a backup often from the GET CREW/DB dialog box.
  • Save the backup file to a personal/company pen drive or to any other drive that cannot be accessed by others. You can take any number of backups. The backup is saved with the current date and time.
  • After taking a number of backups, say at the end of a week or two, the master can delete the older backups to clean out the WRH folder.
  • If you have a backup of your database, even if the entire hard disk has crashed, all you need to do, is to re-install the software (including custom data files) and then, by means of a single icon click, restore your data from the backup file).

(8). I (master / CEO) have forgotten my password. Now what do I do?

Click on the “Forgotten Password” icon in the Log In/Out dialog box and send the data shown to the vendor. The vendor will decrypt the data and reply with the password.

(9). How do I change the contents of the List of Holidays Page?

This page is set up by the master. It is read-only for all other users.

Amend the contents of this page according to your CBA. Column Groups 1, 3, 5 & 7 are for Officers and column Groups 2, 4, 6, & 8 are for Ratings. These multiple column groups are if you have multi-national crew with different CBAs.

In Row 3 you can enter number between 40 and 48 (both inclusive) to denote the total normal working hours per week set in the CBA for seafarers (non-young). For young seafarers, the total maximum is set up 40 hours, automatically.

(10). How do I change the contents of the Work Hours Page?

This page is optional and set up by the master. The master has to GET his record via the GET CREW/DB dialog box. (Select your record and hit the ENTER key, or double-click your record, or select the record and click on the appropriate icon in the bottom right). When the master’s record is selected, the software ‘knows ’ that it is the master who has accessed the page.

As there are not enough rows available in this form for all the crew, the master fills in the data, department-wise. The catering staff may be amalgamated with the deck crew.

The page number at the top right is, therefore, free-text and the master has to enter this manually.

Data from this page is saved to text files. The master may take copies of these files on his/her personal pen drive and use the Get icon/button to retrieve the pages at any time. This data is not saved to the database because it is the prerogative of the master to set the working hours and the relieving master may change the hour schedules. The first (previous) master(s) on returning to the vessel can Get his preference from the saved files.

Note: The law requires that this form is populated with ranks (designated) as per the Safe Manning Certificate. The ranks seen in the drop-down boxes in this form are obtained from the ranks created by the master. Therefore, the master should enter the ranks according to the Safe Manning Certificate when filling the Ranks during the initial setup.

(11). The software was running smoothly – all of a sudden it is showing a message box about a missing database file / help file. What should I do?

There is nothing in the software’s coding that renames the database/help file, or moves them or deletes them. If this message box is seen, it means that someone has inadvertently or deliberately moved the file(s) or deleted or renamed them.

The solution : for a loss of the database - Copy the default custom data files to the WRH folder and restore your data via the RESTORE icon in the GET CREW/DB dialog box.

For a loss of the help file - reinstall the software (your custom database is not touched, when a software installation is done).

(12). The software was running smoothly – all of a sudden it is showing the default data and all data entered from the beginning is gone. What should I do?

It looks like someone has access to the zipped custom data zip file sent to the ship by the owner’s office. The zip file has the original default data only. The person has overwritten the latest custom database file with the contents of the zipped file.

The master should keep the original zipped custom data file in a safe place to avoid such occurrences.

The solution : restore your data via the RESTORE icon in the GET CREW/DB dialog box.

(13). The Vessel Parameters data has been changed or The vessel IMO is changed and all data appears to be wiped out. What should I do?

It looks like someone else onboard knows your password and the PIN as well. That person has accessed the Vessel Para dialog box and has changed the vessel data or worse, changed the IMO number. When the IMO number is changed, all the existing data is naturally wiped out. It is for this reason (among others) the master should not divulge the PIN process and SHOULD TAKE A BACKUP regularly and KEEP THE BACKUP IN A SAFE LOCATION.

The solution : restore your data via the RESTORE icon in the GET CREW/DB dialog box.

(14). Even though I setup the software according to the instructions, every time I open the software it shows the default data. Why?

The software cannot be saved by the user – as in the case of any document – if it is not saved, the previous data will be seen.

It is a certification requirement for the software to do an initialization run. When the software opens, it processes the default data. If the user sees the same results as before, it can be assumed that the initialization test has been done successfully.

The project behaves as an interface to the data in the database or text files as the case may be. The user, GETs the records by clicking on the appropriate icons/buttons, makes changes and SAVES. If the data is saved, the next time around, the data can be got via the GET icons/buttons.

After the user logs in, the software intuitively, shows the GET CREW/DB dialog box, the records shown in this box are relevant to the logged in user. The user may get his/her record and the software Hours page will be populated with the correct data for that crew (and not the default data).

(15). How do I send the crew monthly data to the office?

The master can select the records to be exported by adjusting the various filters in the GET CREW/DB dialog box. For the month’s data, the Computing Period Start date filter has to be adjusted (select the month and year from the calendar control) for the desired month. Check that the list shows the desired records and click on the Export icon. An encrypted and compressed text file is created in the 'WRH\Archive\Exported Files' folder. The master can do the same and attach the file to a MS Outlook E-mail in one step by clicking on the appropriate icon.

When the office receives these files, the superintendent can import one or more files by using the Import icon from the same dialog box. Copies of the imported files are saved in 'WRH\Archive\Imported Files' folder

For the master, these files also serve as an additional way of backing up crew data - these files are like saving a portion of the database in a text file.

(16). How to create a blank template for a new month?

Each crew member can create a new month by clicking on the New Month button/icon . A message box will pause and ask whether or not to copy the last 8 rows to the top 8 rows of the new month. For the months of March and April, an additional message box will remind the user to manually set the date for Good Friday as this holiday does not have a fixed day but occurs during March or April.

When the Master user is active, the software will pause to ask if to create new months for the rest of the active crew. If another user has already created his/her new month data as above, it will not be overwritten. If new month data for any crew doesn't exist, it will be created.

Once a new month's template is created and 35 days have elapsed since the report start date of the previous month, the previous month's data is automatically made 'read only' and amending the previous month's records is blocked.

(17). I do not like the mouse drag method for entering the worked hours. Is there another method?

Yes, simply close the pop up dialog box and type the working hours in column F of the 'Hours' page and any comments in column W. If you are a deck officer on a ship departing USA, enter the time of departure in column X

(18). Why are there only 16 rows in the Chart Table page, (we have 25 crew on board)?

This facility is for heads of department to compare the results of their department or for the office staff to compare the results of crew of the same rank on ships doing a similar run. Any more than 16 rows and the chart will be unreadable.

For example: The chief officer may append to the table the records of his ABs or all his deck crew and do a comparative study at a glance. Similarly, at the office, the superintendent may use this table to compare up to 16 chief officers on ships doing a similar run.

(19). Why is the Work Regime greyed out? Why is the OCIMF method greyed out?

In the trial mode, the software allows both regimes and both methods to be evaluated. However, the company has to select one regime only and research shows that no one is going for the Work regime. The custom data file is coded accordingly and the software greys out the Work regime.

The OCIMF method is applicable only to vessels under the purview of OCIMF (tanker trade) and further these calculations are available only if purchased by your company. The license file is coded accordingly and the option is greyed out if not applicable (non-tanker) or if the add-on is not purchased.

(20). In the ribbon I see a Print Forms icon in Utilities Section and another Print icon in the Page Specific section. What’s the difference?

'Print Forms' is used for printing the reports pages (Page 1, Page 2 and Page 2a). The reports pages cannot be printed by normal print commands. The user has to click on the 'Print Forms' icon/button. When this is done, the software recalculates and only then, prints. This is a certification requirement.

The other pages may be printed by clicking on the 'Print' icon.

(21). Why is such tiny font used in some fields in the reports? There appears to be ample place for a large font.

The reports are shown in dual languages (if language packs are purchased). Due to the difference in the length of the phrases in the different languages, the font is set as seen. In reality, there is not enough space for a bigger font.

(22). In the GET CREW/DB dialog box, I see so many filters but quite a few are greyed out. Why?

The filters enable/disable condition is dependent on the logged in user. The master and office users are able to use all the filters. The other heads of department can filter the data for the users under their jurisdiction. All other users see only the data set by the master under their user name.

For example: Deck Officers see only the records of the crew the master has set the user as “Deck Officer” while the Chief Officer will be able to see the records of the Deck Officers, Deck Crew and a few other users in addition to his/her own.

(23). My record was seen in the GET CREW/DB dialog box yesterday. I can’t see my record today. I clicked on “All Records” but still cannot see my record. What happened?

It is possible that the master has assigned another user, such as your superior officer, to make and record your working hours. Your record has now shifted to his user log in. Please check with your superior officer. The master can shift the log in user back to your previous user name from the Crew List dialog box.

The superior officer should use the GET CREW/DB dialog box only to observe the data of the junior staff. If the superior wants to take over data entry from the junior, the superior officer must request the master to change the log-user from the CrewList dialog box.

(24). What happens when a crew is signed off? Why do I see the record in the GET CREW/DB dialog box in between the currently serving crew?

The records are fetched in the following order –

  • By start date descending
  • By crew department ascending
  • By crew rank ascending
  • By Crew name ascending

The signed off crew will not be seen in the subsequent months' filter.

The master may make the crew's record inactive by clicking on the 'Sign Off This Crew' icon in the CREWLIST dialog box. Once inactive, only the Master and office users will be able to get records for signed off crew.

(25). Can MLC 2006 (forced or not forced) be permanently set?

Yes & No. The same case with USA regulations. If requested by the company, we can lock as required by setting the relevant parameters in the license file. If locking is omitted, it is left to the master to inform the other users the condition of these available options. If a crew selects some incorrect option, the results may be different but the superior officer/master/superintendent can always toggle the options and see if the difference is significant and advise the user to set the calculations as required.

MLC 2006 regulations are applied automatically to crew who are not listed as Watch-keepers (watch-keepers include licensed persons or persons who have designated safety/pollution/security duties). MLC 2006 regulations are more stringent than STCW 2010 as there are no waivers with MLC 2006.

If the vessel is not under the purview of USA regulations due to being outside the area or of non-USA flag, the user should select N/A.

Some customers have asked the vendor to lock 'Force MLC calculations' for all crew on all their ships. Similarly, to lock the USA clauses, as applicable, individually for each ship.

(26). Can I change the data entered previously?

Data may be changed at any time. However, the following inter-locks are in place-

  • If data is entered two calendar days after the current date, a comment is annotated to column E for that day in the Hours page and a “Late Entry” count is shown in the reports with the date of late entry showing up in red font.
  • If data is entered 36 or more days after the start date (generally on the 5th or 6th of the next month), the date + time saved in the GET CREW/DB dialog box is shown in red font.
  • These inter-locks are a certification requirement and this information may be given to the vetting inspector if he/she asks for the method used to ensure that data-entry is not entered late (“doctored” data).

(27). What is the significance of the data in the 'Hour Effected' page?

This page shows the user the time at which a violation occurs. The hour may be appended by “Up” or “Dn” . “Up” means that a violation has been detected at the given hour and for the period before that date and time. Similarly, “Dn” means that a violation has been detected at that date and time and relevant to period subsequent to it.

Example 1: 9.5 or 9.5Up in Column R means in the 7 days period prior to 0930 in the current day, a violation has been detected. ('Up' is the default direction)

Example 2: 4Dn in Column V means that the crew has worked over the permitted number of hours in the 24 hours subsequent to 0400 hours of that day.

(28). How do I upgrade?

Upgrades do not affect the existing custom database. However, as a good practice, take a backup of the entire WRH folder before upgrading by zipping the contents. Please see here for rest of upgrading procedure .

(29). Any Tips For Data Entry?

      1. All crew on Tankers need to select OCIMF from Conv. Method / OCIMF - Done by crew
      2. All staff with designated safety/security/pollution/watch duties should be marked as watch-keepers in the CREWLIST dialog box - Done by the Master
      3. Start dates in CREWLIST dialog box are not dates of boarding the vessel but start of the reporting period, which is the 1st of the month. If it is a different date, example the 25th of each month, it should be the same for all the crew in the entire fleet - Done by the Master
      4. For the Pantry crew, select 'N/A' from the USA regns. - Done by crew
      5. If the vessel is out of the USA administration zone, select 'N/A' from the USA regns. This will reduce the number of violations shown. - Done by crew
      6. Avoid late entries. The two-day window is more than sufficient to ‘sort’ out the hours. - Done by crew
      7. Data Entry is blocked for the previous month after the 5th of each month.

(30). Can we print the reports to a file instead of on paper?

Yes. When the Print Forms icon is clicked, a message box will ask whether the user intends to print to a PDF printer or not. If Yes is selected, the following action occurs -

      • With OFFICE 2007 or later -

The report pages are collated and saved as PDF files with the crew's name, rank and computing month in folder WRH\PDF Reports. The user's PC must have the 'SaveAsPDF' add-on installed (Office 2007 only - if you need to install this add-on - you will find the 'SaveAsPDF.exe' installer in the WRH folder). This add-on is a built-in feature of Office 2010 or later.

      • With Office 2003 -

The user will need to assign the file name and folder individually.

The HOD's signature image will be shown when printing to .pdf files on the ships. In the office, both the crew and HOD signatures are printed.

(31). What is the CBA field in the CREWLIST dialog box for?

The software has a page 'List of Holidays' in which the master enters the list of holidays for officers and for ratings according to their CBAs, (collective bargaining agreement). As in the case of multi-national crew, the software has provision for up to 4 different CBAs for officers and 4 different CBAs for ratings.

In most cases there is only one nationality on board and in this situation, the master uses '1' for officers and '2' for ratings.

In the List of Holidays page, the master also assigns the following -

      1. The weekly total normal working hours. Valid data is 40-48.
      2. Night restricted hours for young seafarers
      3. A friendly-name to describe each column (example: 'Norway-Phillipines' to indicate a Norwegian & Filipino CBA )

(32). The software is corrupted. Now what should I do?

Known Issue with SNs Maritime Work & Rest Hours Control Software -

Rarely, In a LAN system, if the WRH software is opened by different terminals at exactly the same time, the application executable file 'SNs Maritime WRHrs Control 2003.exe' or 'SNs Maritime WRHrs Conrol 2007.exe' gets corrupted, typically showing 0B file size. Once opened properly by Windows, the other instances open without a problem.

Solution - Simply overwrite the 'SNs Maritime WRHrs Control 2003.exe' or 'SNs Maritime WRHrs Control 2007.exe' .exe file with a file from a backup.

Pro-Active Solution -

If not already done by the installer, make as many copies of the 'SNs Maritime WRHrs Control 2003.exe' or 'SNs Maritime WRHrs Control 2007.exe' executable as there are terminals in your LAN system. From each terminal point the short-cut to a different copy of the file. In this way, the executable cannot be accessed by more than one PC at the same time. See image below of the WRH folder in Windows explorer. In the example, there are six extra copies of the 'SNs Mar ... 2007.exe' file.

From Master's PC(s), point the shortcut to 'SNs Maritime WRHrs Control 2007.exe'. ('SNs Ma.... 2003.exe' if Office 2003 is used)

From the Chief Engineer's PC(s), point the shortcut to to 'SNs Maritime WRHrs Control 2007 CE.exe'. ('SNs Ma.... 2003 CE.exe' if Office 2003 is used)

From the Bridge PC, point the shortcut to 'SNs Maritime WRHrs Control 2007 BRIDGE.exe' ('SNs Ma.... 2003 BRIDGE.exe' if Office 2003 is used)

From the ECR PC, point the shortcut to 'SNs Maritime WRHrs Control 2007 ECR.exe' ('SNs Ma.... 2003 ECR.exe' if Office 2003 is used)

and so on.

If an upgrade of the software is installed, all the existing duplicated files of the 2003.exe version should be deleted and new duplicates/copies created with the same file names. Links from the other PCs should be checked to see if they are pointing to the correct .exe

(33). The NC & Comment Box Slider is not changing the selected day.

Symptom: The slider moves with the mouse but the day selected remains the same.

The slider function is CPU intensive. Please restart the thin client or desktop PC or even the server PC to dump memory blocks that may be caused by other processes and try again.

(34). When double-clicking on an Excel short-cut, we get 'There was a problem sending the command to the progam'. The file opens OK if Excel is already opened but not when double-clicking on the short-cut. The WRH software opens OK.

This is seen sometimes with MSOFFICE 2003 or 2007 if the WRH software is shut down suddenly, (without clicking on the close application icon or the 'X' in the title bar).

SOLUTION 1: from Microsoft link http://support.microsoft.com/kb/211494 )

if the Vessel is having Microsoft Excel 2007 or later version of MS Excel

1. Click the Microsoft Office Button, and then click Excel Options. (File-> Excel Options for 2010 or later)

2. Click Advanced, and clear the Ignore other applications that use Dynamic Data Exchange (DDE) check box in the General area.

3. Click OK.

if the Vessel is having Microsoft Excel 2003 or earlier versions of Excel

1. Click Options, on the Tools menu.

2. Click the General tab.

3. Clear the Ignore other applications that use Dynamic Data Exchange (DDE) check box, and then click OK.

SOLUTION 2: Run the WRH software and close it normally. The above procedure is carried out automatically.

(35). Can I enter hours worked accurate to less than 30 minutes. Example - If I take a 10 minute duty round of the accommodation after a watch?

Yes, if coded in the license file, the software will permit the user to enter the hours worked in fraction of one-tenth of an hour (each 6 minutes), Example 3.9-8 9-11 16-20.2 Where the crew has been on work from a little before 0400 and again at ship's work a little past 2000.

(36). When I run the software I get an error message like "Error found in Custom UI XML of "C:\...." Now what should I do?

This error is seen if the Excel Options "Show add-in user interface errors" checkbox is ticked. (By some other software).

This is a facility used for testing only. To turn these errors OFF in MSOffice products:

Go into the application’s Options (i.e. click the Office 2007 Button and select “Options”) For Office 2010 / 2013 -> File Tab and select Options

Select “Advanced” from the navigation pane on the left.

Scroll down to the General Part -> Find “Show add-in user interface errors” checkbox and unselect it.


Getting help

Getting Started ››

The pages have a few cells with comments. Check all the page comments for relevant guidance.

The user can hover the mouse over the cell to read the comments.

(Tip: Scroll all the way up to the top the page to read the comments fully).

To open this help file, the user can press the function key F1 from any of the Excel pages or by clicking on the appropriate icons in the dialog boxes.


Pages (Worksheets)

Getting Started ››

There are nine pages as seen in Figure 1

They are –

  • Hours
  • Hour Effected
  • Page1
  • Page2
  • Page2a
  • Work Hours - Visible only if the Master is the Current user.
  • List of Holidays
  • Chart Table
  • Chart
  • Comments List

Additionally we have created a page showing the Lloyd's Register Software Conformity mark.

This page has buttons -

  • With links to the other pages
  • With Short-Cuts to Open Dialog Boxes or Save Data
  • To Reset the Computing DLL

Creation of new pages is inhibited.

Figure 1

The 'Comments List' page has in the form of a list, all the cell comments that have been inserted in the other pages. In the image below, the mouse is hovered over the 'Holidays' cell.


Preliminary Data Entry

Getting Started ››

When the project opens, a log in dialog box is displayed as follows - If you are working over a network, it may take a second or two for the screens to get populated with data fetched from the database. In the Users log in screen, when the password text box is selected automatically, the 'fetch' procedure is complete (see the first image below with password selected). If the project is used on a local drive (not a network), this happens without any delay.

Watch Demo

http://youtu.be/pBJUw1LG2SU

Fig 1.a

If 'Office' is selected, the options are as follows -

Fig 1.b

The user selects the appropriate option button. The options are used by the project to tie the user with a specific filtering of records. So the same user will get his/her last filter when re-opening the project. Only the Master and CEO users see all the icons. The three extra icons for the Master/CEO are for -

    • Reseting any user's password
    • Showing a list of all users and passwords
    • Copying the database record to the clipboard for sending by e-mail to the software vendor in case the Master/CEO has forgotten the password and in order to get by return mail, the lost password .

When this dialog box is closed - by clicking on the key image, the project will open the Get Records /DB dialog box and from there to the 'Hours' page and ready for data entry.

Once the software is licensed, the Users dialog box will show either Fleet or Office as the case may be.

However, on the ship, the first time, (before entering the hours worked for each crew), the user (Master selected from the dialog) should setup as follows -

1. Ship data from the Vessel Parameters Dialog Box -

Fig 2

The company name is optional but will be filled in automatically when the custom data files are found in the WRH folder.

The Group name is optional and denotes if the vessel belongs to a specific group, such as 'Bulk and Tanker', Etc. The master should fill this field exactly as advised by their office. It is a very important field with large fleets as the superintendents will filter records using the Group Name field.

2. The Master then enters the Ranks for each department from the Ranks Dialog Box. The Ranks dialog box is available via the Menu Dialog Box

This section may be pre-filled for the vessel from the data given by the ship owner/manager and same coded in the custom data file. In this case, the Ranks List data entry section is disabled.

Fig 3

3. Once this is done, the Master has to create a list of the crew on board. This is done from the Crew List Dialog Box. This dialog box has two types of displays -

One, a list view of all the crew entered and in the database over the previous year as follows -

Fig 4. a

Two, a split view screen, showing a shortened version of the list on the left and on the right half, a form for the details of the selected crew -

Fig 4. b

To change the crew, use the icons with left and right arrows or select the crew from the listview and press the enter key or double click. To see more crew in the listview, scroll the mouse or use the keyboard up and down keys. The master may also use the start period and department and head of department filters to narrow down the records fetched from the database.

Some administrations require that the data sent to the office bear the signature of the crew and of the person authorised by the Master to supervise the records for that crew. Scanned jpg images (less than 4.5 kb and in black & wihite) can be added for each crew by clicking on the icon. A signature image may be deleted by the Master by right-clicking on the signature and confirming deletion.

This feature should not be used if your administration / home office does not require the scanned images in the data exported to the office or if you do not want to print to PDF files instead of on paper. When printing to PDF files, the HOD's signature is inserted in the report. By not including the scanned signature mages, the database and export data files will be small and cost effective.

The master may set up the 'Pay Off Date' by changing the default date (1st December of the following year) using the calendar control

The master may setup the 'normal' working hours for the crew by clicking on the icon on the far right, (with the blue arrow) in the above image. This will show the Template Control screen.

Fig 4.c.

After selecting the template from the drop down box, the master has to click on the icon to the right of the drop down to execute the hours into the A.M. / P.M. bar.

Fig 4.d

The master can create any number of new templates for current and future use, saving them with a 'friendly' name, such as 'Deck Dayworker'. If the master sets up a normal working hours schedule, the future dates in the hours page for that crew are automatically populated with the pre-set working hours. Should there be any change, the crew may alter the pre-populated data as required.

Fig 4. e

The first icon is used to clear the hours A.M. & P.M. bars

The second icon is used to check the validity of the template working hours. The software will populate the Hours page with a the monthly scenario for the currently selected crew (including all the relevant parameters such as department, officer/rating, CBA, watch-keeper, calculation method and USA clauses) and provide the master with a check result.

The third icon is to be used to save a new template for working hours.

The icon with the Eraser image is for deleting a template record.

The icons with the up and down arrows may be used to change the order of the templates shown in the drop down box.

Setup of Fracional Hours.

If licensed with this feature, the icon with the blue mouse is made active and the master may then set the working hours in fractions of an hour in less than 30 minute blocks.

Hover the mouse over the icons to see their full functions in the pop up tool tips.

The above screen is used also to correct the data already entered previously. For example, when the head of department has changed. the Master can select all the crew in that department and change the data accordingly.

From the screen in Fig 4b/4c, the Master can amend details of a previous crew or create a completely new record.

IMPORTANT: The Master should always create his/her own record first. Then, create the record for other heads of department -

Chief Engineer,

Chief Officer,

1st/2nd Engineer.

Only then, the other crew members.

4. The Master goes to the ‘List of holidays’ page and enters the holidays there as per the governing CBAs. The Master can enter up to four CBAs each, for officers and for ratings.

For ratings, should a holiday fall on a weekend, the next working day is automatically marked as a holiday.

Figure 5

5. The Master also sets the total weekly hours (from 40-48, inclusive) in row 3 and the restricted hours for young seafarers according to the ship's CBA or Flag state rules. The restricted hours for young seafarers are entered in rows 21 & 22.

Summary of Preliminary Data Entry

    1. After Log in by Master
    2. Set - Vessel Parameters
    3. Set - List of Ranks - With Version 2010.6.05.10 and later, the ranks are auto-populated from the custom data .pvf file
    4. Set - List of Crew.
    5. Set - List of Holidays, Total of Normal Weekly Working Hours and Restricted Hours for Young Seafarers
    6. Set - Work Hours Schedule (optional - can be done later)

Only the Master user can save the ship name, ship nationality, ship IMO and ship type. Only the Master user can change the contents of the List of Holidays page including restricted hours for young seafarers or create a list of Ranks for the vessel or create a list of crew members or set the working hours schedule.


Work Hours - Model Format

Getting Started ››

In this page the Master has the facility to enter the maximum hours of work or minimum hours of rest are applicable in accordance with national law or regulation issued in conformity with ILO’s Seafarers’ Hours of Work and the Manning of Ships Convention, 1996 (No. 180), and with any applicable collective agreement registered or authorized in accordance with that Convention and with the International Convention on Standards of Training, Certification and Watch-keeping for Seafarers, 1978, as amended (STCW Convention).

After entering the data for a set of crew. Example: for the Deck department, the master can save the entries made to a small text file by clicking on the 'Save' button.

The master may retrieve previously saved files by clicking on the 'Get' button and filtering for 'Model Work Hours Files' (.PVF file type).

If the default file type is not .PVF, select 'Model WRHours, *.pvf' file type from your browser drop-down list. - See below -

The 'Work Hours' Model Format page is visible only when the Master is the current user.


Data Entry

Data entry is limited to the barest minimum (green font items) and are in the following sections in the 'Hours' page.

  • General
    • Vessel

- IMO Number - Setup by the Master

- Vessel Name - Setup by the Master

- Vessel Nationality - Setup by the Master

- Vessel Type - Setup by the Master

    • Crew Details

- Crew ID - Setup by the Master

- Crew Name - Setup by the Master

- Crew Rank - Setup by the Master

- Head of Dept. (Name) - Setup by the Master

- Head of Dept. (Rank)

- CBA Number (as in List of Holidays) - Setup by the Master

- Young Seafarer (Yes/No) - Setup by the Master

- Watch-keeper/Safety/Security/Pollution Duties (Yes/No) - Setup by the Master

- Signature Image Max 4 kb jpeg format - Setup by the Master

    • Governing Period

- Month and Year via New Month icon/button

    • Database Full Path

- Folder to store data files & help file - Computer Generated

  • Hours of Work
  • Remarks (optional) for each day (mandatory, if a NC is found for that day)
  • Hour departed from port in the USA (for Deck Navigating Officers - CFR/USC Rule)
  • In column 'B' the figure 1 or -1 to denote a date line crossing (if applicable)
  • In column 'C' the figure 1 to denote a holiday (if the holiday has not already been set by the Master in the List)
  • In column 'K' either 'P' or 'S' to denote 'In Port' or 'At Sea' (if applicable, - 46USC8104 - Cl. B)
  • In column 'K' either 'Y' or 'N' to denote 'In USA or 'Not in USA' (if applicable, - 33CFR156(d) or 46USC8104(n)) - 'N' is default and may be omitted.

Shortcuts -

    • CTRL-M (Opens Menu Dialog Box)
    • CTRL-G (Opens Get File/Database Utilities Dialog Box)
    • CTRL-S (Saves Current Crew Data to the database)

  • Hours - General & Titles
  • Hours - Work Hours
  • Hours - Remarks
  • Hours - Departure Times


Hours - General & Titles

Data Entry ››

The ‘Hours’ page is the main data entry page. The page also has a few cells with comments. Check other page comments too for guidance. The user can hover the mouse over the cell to read the comments

(Tip: Scroll all the way up to the top the page to read the comments fully).

To start afresh, for each crew, the user assigns the value to the computing period field at the top of the page via the Menu -> Change Start Period dialog box -

  • Month and Year (Example: 1/12/09)

With Office 2007 or later, the user can change the computing period start date from the Ribbon menu -> 'New Month'

Once this is done, the user can enter the hours worked for each day. When the Master user is active, the software will pause to ask if to create new months for the rest of the active crew. If another user has already created his/her new month data, it will not be overwritten. If new month data for any crew doesn't exist, it will be created.

The fields to the right, top of the page are computed.

As soon as the Month and Year field is entered, the page rows from 14 to 54 and columns C, D and E are populated with relevant data.

Weekends as per the computer’s system settings will be marked with a green background.

Holidays in the non-weekends (with a ‘1’ in column ‘C’) will be marked with an orange background.

The user types a '1' or '-1" in column 'B' to denote if the vessel has crossed the International Date Line.

Basis the current regulations, For USA vessels, if the crew member is a deck watch-keeping officer, column ‘X’ will be opened up in which the times at the vessel departed port in the US should be filled.


Hours - Work Hours

Data Entry ››

The user is now left with the simple task of entering the hours worked each day. The method is to insert a dash (-) between hours worked, Example 6-12 and a space between hours rested, Example 6-12 18-24. The program will automatically put in two spaces between working blocks for sake of visual clarity.

Data entry validation is done at run time.

Examples that trigger an error message are-

If your license does not permit less than half-hour blocks for work/rest

7-12 3-17 The correct entry would possibly be 7-12 13-17

7-12 3-17.25 The correct entry would possibly be 7-12 13-17 OR 7-12 13-17.5

7-12 3-17.75 The correct entry would possibly be 7-12 13-17.5 OR 7-12 13-18

7-12 13-10.5 The correct entry would possibly be 7-12 13-20.5

7-12 13-25 The correct entry would possibly be 7-12 13-24 and on the next row 0-1

If your license permits less than half-hour blocks for work/rest

7-12 3-17 The correct entry would possibly be 7-12 13-17

7-12 3-17.25 The correct entry would possibly be 7-12 13-17 OR 7-12 13-17.3

7-12 3-17.75 The correct entry would possibly be 7-12 13-17.8 OR 7-12 13-17.8

7-12 13-10.5 The correct entry would possibly be 7-12 13-20.5

7-12 13-25 The correct entry would possibly be 7-12 13-24 and on the next row 0-1

(With version 2010.6.09.3 and later, up to 2 places of decimals is allowed)

This software allows a maximum of 7 periods of work in a calendar day.

The user also writes the figure 1 in column 'B' if the vessel has crossed the international date line from East to West (Date is Repeated) or -1 to denote a crossing from West to East (Skip a Date). A maximum of two crossings in each direction is permitted in any given month. Further, crossings have to be in opposite directions in the same month. I.E. Two consecutive crossings from East to West or West to East are invalid and will be automatically erased.

With each entry of hours worked, in addition to marking the report pages with the series of ‘x’s as required, the project computes the hours worked, hours rested, overtime hours and also fills in the results for violations and warnings in the appropriate columns for that date. At the same time, the top of the page right section shows the totals while the status bar shows the totals of violations and warnings for the month.

The user has to enter the data within 2 calendar days of the date for 'normal' display. If data is entered after 2 calendar days a comment with date and time of entry is shown in column 'E'. This is of particular use to inspectors. The status bar also shows the words "LATE DATA ENTRY (?) where ? is the number of late entires". See the image below. Another way to stop a late entry would be for the software author to prevent such late entry. However, this is not a good option as the user will never be able to fill in data for previous days if the product is put into use more than 48 hours after start of computing period. Therefore, the software author has triggered a comment to show late entry instead of blocking data entry itself.

As many of the regulations cover more than 24 hours and are actually based on ‘any’ hours, the project allows/requires the user to enter the data for the eight days prior to the reporting period. At the top and bottom rows of the data entry section, should there be insufficient hours to calculate, violations are shown in violet colour instead of in red. Results shown in red are confirmed violations after taking into consideration all the waivers applicable. Warnings are shown in pink and indicate that an individual rule is violated but not the waiver. This serves as a guide to the head of department to assist in scheduling of further work over the current day or next day.

As a guidance to the head of department, the ‘Hour Effected’ page shows the hour at which the violation or warning is effective. The word ‘Up’ indicates that the period is from that hour and upwards in the data entry page (hours before) and the word ‘Dn’ indicates that the period is from that hour and downwards in the data entry page (hours after).

Alternative Method For Data Entry - Needs CPU Clock Speed of > 1299 MHz

For those who prefer to use the mouse instead of the keyboard, the software is equipped with an alternative way of entering the hours worked.

In the Hours page, the user may right-click on any row and a pop up box will show a graphical representation of the working and resting hours, a list of the hours at which the violation was detected and the clause affected. The user may enter / amend existing remarks in the comments box. A maximum of 140 characters may be entered from this box.

There is a mouse click and drag facility for entering the worked hours. The worked and rested periods will be marked in blocks of 30 minutes each. If your license is encoded to allow fractions of 30 minutes, it is necessary to manually edit the click-drag results, by typing into the special text box for this purpose. The text box is shown when the icon with the blue mouse is clicked.

Icons are included to -

  • Copy the hours from the previous day.
  • Copy the hours worked to the next day
  • Copy the Remarks from the previous day.
  • Copy the worked hours of any day by clicking on the Copy Hours icon and paste the contents to any other day by clicking on the Paste Hours icon.
  • Erase the working hours for the current day.
  • Reset the last saved working hours for current day.

(In order to get back the entire month's previously saved data, the user can click on the blue folder 'Get Records / DB icon' icon and select the same crew again).

If your license is encoded to permit less than 30 minute blocks for work and rest hours, the icon with the blue mouse image is activated. When this icon is clicked, a text box is shown with the existing working hours. The user may amend these hours with part of an hour. Example - if the user takes a 10-minute round of the accommodation before reporting to the bridge at for a normal watch, the user can enter this example: 1.8-4 8-12 19.8-24 Similarly, for the departure from USA ports parameter, the user may enter the time of departure in one tenth of an hour. When a fractional half-hour block has been entered, the green / white drag boxes and the departure USA port drop down boxes are disabled.

The Departure From Port drop-down box is visible only if the crew is a Deck Navigating Officer (46CFR).

The 46 US 8104 Cl. B drop-down box is visible only if the crew has selected 46 USC 8104 Clause B in which case, the user must select either P or S (In Port / At Sea).

The 46 US 8104 Cl. N or 33CFR 156(d) drop-down box is visible only if the crew has selected 46 USC 8104 Clause B or 33CFR 156(d), in which case, the user must select either Y or N (In USA / Not in USA - N is default and may be omitted).

The user may make a snapshot of the Hours page by clicking on the icon with the camera image. An image file with the ship's name, crew name and computing month as the file name will be saved in the WRH\HOURS_Page folder. This feature is useful to heads of department who may need to have a look at the working hours of some crew member while planning the working and resting hours for some other crew. The same facility is available via the Office Ribbon ->Menu Tab ->Utilities ->'Snapshot Page' icon.

The user can change calculation's parametes from this dialog box too by clicking on the 'Expand' bar on the right side.

When expanded the bar's arrows will be in the reverse direction and the user can collapse the extended portion by clicking on the bar again.

When expanded, the dialog box shows the following command icons.

The user can determine at which times the different types of NCs are triggered by clicking and dragging the mouse over the A-I NC bar (with the yellow back and red font). The results are shown as follows -

The user may click on the image to the left and drag the mouse up or down to change the day.

Watch Demo

http://youtu.be/TGV5a4G_ixk

After amending the worked hours or remarks, the user may save the data by clicking on the Floppy Disk save icon. For the heads of department or office users, records of some other crew can be fetched by clicking on the Get Records / DB icon.

To the left of the Seafarer's Comments box is a double arrow. The user clicks on this arrow to show or hide the legends section at the bottom of the dialog box (to occupy less space of the Hours page). In order to show the legends section briefly, the user can click on the '+ Hour at which violation ....' sentence. When the mouse button is pressed, the legend will be shown and will be hidden again when the mouse button is released.

If the user has purchased any of the available language packs, they will be available from the drop-down box in the Hours page (In the Ribbon with Office 2007).


Hours - Remarks

Data Entry ››

Column 'W' is used for entering any remarks to explain the work hours for each day.

This field is mandatory if a violation is detected. Entering a coment is useful to justify hours that trigger a violation. The heads of department are reminded that the current laws allow for compensatory rest whenever a crew's required rest period is unavoidably disturbed.

The user may enter remarks from a set of pre-defined comments by check marking the boxes in the screen as in the sample image below.

This screen is displayed when the 'Seafarer's Comments' label is clicked or Comments text box is double-clicked.

If the user enters data in the 'Place' text box, the entry is recorded in the comments text box with square brackets on either side of the place.

Example:

If the Place text box has 'Corpus Christi', the comments text box will be populated with '[Corpus Christi]'


Hours - Departure Times

Data Entry ››

OPA 90 – For vessels navigating in US Waters- 46 CFR 8104(a)

An owner, charterer, managing operator, master, individual in charge, or other person having authority may permit an officer to take charge of the deck watch on a vessel when leaving or immediately after leaving port only if the officer has been off duty for at least 6 hours within the 12 hours immediately before the time of leaving.

To cater for the above regulation, navigating officers departing ports in the USA enter in column 'X' the hour at which the vessel departed port (Example: 18.5)

The attention of the master and ship owner / charterer is drawn to the words ' only if ' above.

(i) A person violating subsection (a) or (b) of this section is liable to the United States Government for a civil penalty of $10,000.


Menu (Dialog Box in Excel 2003)

With Office 2007 and later, the product shows the menu items in the Excel Ribbon. The icons and buttons are context sensitive to the current user. The Master user has full control of the software. See the image below -

With Office 2007 -

    • The 'Fit to Screen' performs a screen magnification routine. Maximum magnification is set at 100% and the minimum is set at 80%. The user can always perform manual magnification in both 2003 and 2007 or later versions by holding the CTRL key and using the scroll button on the mouse.
    • The user can navigate to the vendor's website for this product.

For Office 2003, the 'Hours' page has a dedicated menu button and clicking on it brings up the following dialog box. The short-Cut for this dialog box is 'CTRL-M (Hold the CTRL key and press M).

Only the Master has all the buttons as shown in the image enabled.

If the Save button is clicked 36 or more days after the start of computing period, the user is prompted about this late entry. If the save is confirmed, the font colour is shown in red for that record in the Get Crew / DB List.

The 'Print Forms' icon prints the report pages (Page 1, Page 2 & Page 2a). The first time the icon is clicked, a message box pops up to ask the user if the prints are to be sent to .PDF printer. (The user has to select 'No' for paper prints). If 'No' is selected, the printing is paused when Page 1 is printed to allow the user to flip the paper over in the printer for printing on the reverse side. Printing of these three pages from the normal Excel icon or shortcut is inhibited.

When printing to a PDF printer, the HOD's signature image is included, if the software is used on the ships. In the office, both, the crew and HOD signatures are printed. Printing to PDF files and saving the files with the crew's name, in folder 'WRH\PDF Reports' is available only with Office 2007 or later. With Office 2003, the user will need to assign the file name and folder individually.

  • Calculation Method
  • Regime - Work Rest & MLC
  • USA Regulations
  • ILO 180
  • MLC 2006
  • STCW 2010
  • Data - Save Get & Database Utilites
  • License Print Chart Clear
  • Log In/Out
  • Change Computing Start Period
  • Vessel Parameters
  • Ranks List
  • Crew List


Calculation Method

Menu (Dialog Box in Excel 2003) ››

In the generic version, the user can select the calculation method applicable. (Convention Requirements Method or OCIMF Guidelines Method). Ribbon in Excel 2007 or later & from Menu Dialog Box in Excel 2003

In customised versions, as per purchasing shipping company's policy, we can block the selection to any one of the choices (Convention Requirements Method or OCIMF Guidelines Method) or leave selection of method enabled.

    • If ‘Convention Requirements Method’ is selected, Computing periods begin at the end of each REST period of at least one hour (for REST Regime) or at the end of each WORK period (for WORK Regime)
    • If 'OCIMF Guidelines Method' is selected, Computing is executed at each half-hour when the crew is at work.

The user may choose to force MLC 2006 regulations (check-marked). In this case, STCW 2010 waivers will not be considered and violation count will increase.


USA Regulations

Menu (Dialog Box in Excel 2003) ›› Calculation Method ››

The user can select the clauses applicable to his ship from the Ribbon drop down (Menu Dialog Box in Excel 2003) - With N/A selected, USA regulations are not applied

46 USC 8104

(a) An owner, charterer, managing operator, master, individual in charge, or other person having authority may permit an officer to take charge of the deck watch on a vessel when leaving or immediately after leaving port only if the officer has been off duty for at least 6 hours within the 12 hours immediately before the time of leaving.

(b) On an oceangoing or coastwise vessel of not more than 100 gross tons as measured under section 14502 of this title, or an alternate tonnage measured under section 14302 of this title as prescribed by the Secretary under section 14104 of this title (except a fishing, fish processing, or fish tender vessel), a licensed individual may not be required to work more than 9 of 24 hours when in port, including the date of arrival, or more than 12 of 24 hours at sea, except in an emergency when life or property are endangered.

Note: For sub-clause (b), the user has to select from either 'P' (In Port) or 'S' (At Sea) in column 'K'.

To reduce data entry to the minimum, column 'K' (for In Port / At Sea) is masked for all other clauses as the vessel's location is not relevant for computations.

(c) On a towing vessel (except a towing vessel operated only for fishing, fish processing, fish tender, or engaged in salvage operations) operating on the Great Lakes, harbors of the Great Lakes, and connecting or tributary waters between Gary, Indiana, Duluth, Minnesota, Niagara Falls, New York, and Ogdensburg, New York, a licensed individual or seaman in the deck or engine department may not be required to work more than 8 hours in one day or permitted to work more than 15 hours in any 24-hour period, or more than 36 hours in any 72-hour period, except in an emergency when life or property are endangered.

(d) On a merchant vessel of more than 100 gross tons as measured under section 14502 of this title, or an alternate tonnage measured under section 14302 of this title as prescribed by the Secretary under section 14104 of this title (except a vessel only operating on rivers, harbors, lakes (except the Great Lakes), bays, sounds, bayous, and canals, a fishing, fish tender, or whaling vessel, a fish processing vessel of not more than 5,000 gross tons as measured under section 14502 of this title, or an alternate tonnage measured under section 14302 of this title as prescribed by the Secretary under section 14104 of this title, yacht, or vessel engaged in salvage operations), the licensed individuals, sailors, coal passers, firemen, oilers, and water tenders shall be divided, when at sea, into at least 3 watches, and shall be kept on duty successively to perform ordinary work incident to the operation and management of the vessel. The requirement of this subsection applies to radio officers only when at least 3 radio officers are employed. A licensed individual or seaman in the deck or engine department may not be required to work more than 8 hours in one day.

(e) On a vessel designated by subsection (d) of this section—

(1) a seaman may not be—

(A) engaged to work alternately in the deck and engine departments; or

(B) required to work in the engine department if engaged for deck department duty or required to work in the deck department if engaged for engine department duty;

(2) a seaman may not be required to do unnecessary work on Sundays, New Year’s Day, July 4th, Labor Day, Thanksgiving Day, or Christmas Day, when the vessel is in a safe harbor, but this clause does not prevent dispatch of a vessel on a voyage; and

(3) when the vessel is in a safe harbor, 8 hours (including anchor watch) is a day’s work.

(f) Subsections (d) and (e) of this section do not limit the authority of the master or other officer or the obedience of the seamen when, in the judgment of the master or other officer, any part of the crew is needed for—

(1) maneuvering, shifting the berth of, mooring, or unmooring, the vessel;

(2) performing work necessary for the safety of the vessel, or the vessel’s passengers, crew, or cargo;

(3) saving life on board another vessel in jeopardy; or

(4) performing fire, lifeboat, or other drills in port or at sea.

(h) On a vessel to which section 8904 of this title applies, an individual licensed to operate a towing vessel may not work for more than 12 hours in a consecutive 24-hour period except in an emergency.

(n) On a tanker, a licensed individual or seaman may not be permitted to work more than 15 hours in any 24-hour period, or more than 36 hours in any 72-hour period, except in an emergency or a drill. In this subsection, “work” includes any administrative duties associated with the vessel whether performed on board the vessel or onshore.

(i) A person violating subsection (a) or (b) of this section is liable to the United States Government for a civil penalty of $10,000.

(j) The owner, charterer, or managing operator of a vessel on which a violation of subsection (c), (d), (e), or (h) of this section occurs is liable to the Government for a civil penalty of $10,000. The seaman is entitled to discharge from the vessel and receipt of wages earned.

33 CFR 156.210

(d) On vessels conducting lightering operations in a designated lightering zone, an officer or seaman may not work, except in an emergency or a drill, more than 15 hours in any 24-hour period, or more than 36 hours in any 72-hour period, including the 24-hour and 72-hour periods prior to commencing lightering operations.

The user may select from -

    • "N/A"
    • "46USC8104 A"
    • "46USC8104 B" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "46USC8104 C" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "46USC8104 D" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "46USC8104 H" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "46USC8104 N" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "46USC8104 B, N" - Sub-Clause 'A' is automatically applied as well, if crew is a Deck Officer
    • "33CFR156 D" - 46USC8104 Sub-Clause 'A' is automatically applied as well, if a Deck Officer

46USC8104 clauses are applied only for US documented vessels


ILO 180

Menu (Dialog Box in Excel 2003) ›› Calculation Method ››

Art 5 paragraph 1:

The limits on hours of work or rest shall be as follows:

(a) maximum hours of work shall not exceed : (i) 14 hours in any 24-hour period; and (ii) 72 hours in any seven-day period; or

(b) minimum hours of rest shall not be less than : (i) ten hours in any 24-hour period; and (ii) 77 hours in any seven-day period.

Ref STCW Chapter VII, Section A-VIII/I (Fitness for Duty) column 4.

Art 5 paragraph 2:

Hours of rest may be divided into no more than two periods, one of which shall be at least six hours in length, and the interval between consecutive periods to rest shall not exceed 14 hours. Art 5 paragraph 6: Nothing in paragraphs 1 and 2 shall prevent the Member from having national laws and regulations or a procedure for the competent authority to authorise or register collective agreements permitting exceptions to the limits set out. Such exceptions shall, as far as possible, follows the standards set out but may take account for more frequent or longer leave periods or the granting of compensatory leave for watch-keeping seafarers or seafarers working on board ships on short voyages.

Art 7 paragraph 1:

Nothing in this Convention shall be deemed to impair the right of the master of a ship to require a seafarer to perform any hours of work necessary for the immediate safety of ships, persons on board or cargo, or for the purpose of giving assistance to other ships or persons in distress at sea.

Art 7 paragraph 3:

As soon as practicable after the normal situation has been restored, the Master shall ensure that any seafarers who have performed work in a scheduled rest period are provided with an adequate period of rest.

It must be noted that a ship may be detained if conditions are violated.


MLC 2006

Menu (Dialog Box in Excel 2003) ›› Calculation Method ››

Purpose: To ensure that seafarers have regulated hours of work or hours of rest

1. Each Member shall ensure that the hours of work or hours of rest for seafarers are regulated.

2. Each Member shall establish maximum hours of work or minimum hours of rest over given periods that are consistent with the provisions in the Code.

Standard A2.3 – Hours of work and hours of rest

1. For the purpose of this Standard, the term:

31 Conditions of employment3. The requirements for rest periods laid down in paragraph 1 and 2 need not be maintained in the case of an emergency or drill or in other overriding operations conditions.

(a) hours of work means time during which seafarers are required to do work on account of the ship;

(b) hours of rest means time outside hours of work; this term does not include short breaks.

2. Each Member shall within the limits set out in paragraphs 5 to 8 of this Standard fix either a maximum number of hours of work which shall not be exceeded in a given period of time, or a minimum number of hours of rest which shall be provided in a given period of time.

3. Each Member acknowledges that the normal working hours’ standard for seafarers, like that for other workers, shall be based on an eight-hour day with one day of rest per week and rest on public holidays. However, this shall not prevent the Member from having procedures to authorize or register a collective agreement which determines seafarers’ normal working hours on a basis no less favourable than this standard.

4. In determining the national standards, each Member shall take account of the danger posed by the fatigue of seafarers, especially those whose duties involve navigational safety and the safe and secure operation of the ship.

5. The limits on hours of work or rest shall be as follows:

(a) maximum hours of work shall not exceed:

(i) 14 hours in any 24-hour period; and

(ii) 72 hours in any seven-day period;

or

(b) minimum hours of rest shall not be less than:

(i) ten hours in any 24-hour period; and

(ii) 77 hours in any seven-day period.

6. Hours of rest may be divided into no more than two periods, one of which shall be at least six hours in length, and the interval between consecutive periods of rest shall not exceed 14 hours.

7. Musters, fire-fighting and lifeboat drills, and drills prescribed by national laws and regulations and by international instruments, shall be conducted in a manner that minimizes the disturbance of rest periods and does not induce fatigue.

8. When a seafarer is on call, such as when a machinery space is unattended, the seafarer shall have an adequate compensatory rest period if the normal period of rest is disturbed by call-outs to work.

9. If no collective agreement or arbitration award exists or if the competent authority determines that the provisions in the agreement or award in respect of paragraph 7 or 8 of this Standard are inadequate, the competent authority shall determine such provisions to ensure the seafarers concerned have sufficient rest.

10. Each Member shall require the posting, in an easily accessible place, of a table with the shipboard working arrangements, which shall contain for every position at least:

(a) the schedule of service at sea and service in port; and

(b) the maximum hours of work or the minimum hours of rest required by national

laws or regulations or applicable collective agreements.

32

Maritime Labour Convention, 2006

11. The table referred to in paragraph 10 of this Standard shall be established in a standardized format in the working language or languages of the ship and in English.

12. Each Member shall require that records of seafarers’ daily hours of work or of their daily hours of rest be maintained to allow monitoring of compliance with paragraphs 5 to 11 inclusive of this Standard. The records shall be in a standardized format established by the competent authority taking into account any available guidelines of the International Labour Organization or shall be in any standard format prepared by the Organization. They shall be in the languages required by paragraph 11 of this Standard. The seafarers shall receive a copy of the records pertaining to them which shall be endorsed by the master, or a person authorized by the master, and by the seafarers. (Multi-language support is now available)

13. Nothing in paragraphs 5 and 6 of this Standard shall prevent a Member from having national laws or regulations or a procedure for the competent authority to authorize or register collective agreements permitting exceptions to the limits set out. Such exceptions shall, as far as possible, follow the provisions of this Standard but may take account of more frequent or longer leave periods or the granting of compensatory leave for watch-keeping seafarers or seafarers working on board ships on short voyages.

14. Nothing in this Standard shall be deemed to impair the right of the master of a ship to require a seafarer to perform any hours of work necessary for the immediate safety of the ship, persons on board or cargo, or for the purpose of giving assistance to other ships or persons in distress at sea. Accordingly, the master may suspend the schedule of hours of work or hours of rest and require a seafarer to perform any hours of work necessary until the normal situation has been restored. As soon as practicable after the normal situation has been restored, the master shall ensure that any seafarers who have performed work in a scheduled rest period are provided with an adequate period of rest.

Guideline B2.3 – Hours of work and hours of rest

Guideline B2.3.1 – Young seafarers

1. At sea and in port the following provisions should apply to all young seafarers under the age of 18:

(a) working hours should not exceed eight hours per day and 40 hours per week and overtime should be worked only where unavoidable for safety reasons;

(b) sufficient time should be allowed for all meals, and a break of at least one hour for the main meal of the day should be assured; and

(c) a 15-minute rest period as soon as possible following each two hours of continuous work should be allowed

2. Exceptionally, the provisions of paragraph 1 of this Guideline need not be applied if:

(a) they are impracticable for young seafarers in the deck, engine room and catering departments assigned to watch-keeping duties or working on a rostered shift-work system; or

(b) the effective training of young seafarers in accordance with established programmes and schedules would be impaired.

3. Such exceptional situations should be recorded, with reasons, and signed by the master.

Regulation 1.1 – Minimum age

Purpose: To ensure that no under-age persons work on a ship

1. No person below the minimum age shall be employed or engaged or work on a ship.

2. The minimum age at the time of the initial entry into force of this Convention is 16 years.

3. A higher minimum age shall be required in the circumstances set out in the Code.

Standard A1.1 – Minimum age

1. The employment, engagement or work on board a ship of any person under the age of 16 shall be prohibited.

2. Night work of seafarers under the age of 18 shall be prohibited. For the purposes of this Standard, “night” shall be defined in accordance with national law and practice. It shall cover a period of at least nine hours starting no later than midnight and ending no earlier than 5 a.m.

3. An exception to strict compliance with the night work restriction may be made by the competent authority when:

(a) the effective training of the seafarers concerned, in accordance with established programmes and schedules, would be impaired; or

(b) the specific nature of the duty or a recognized training programme requires that the seafarers covered by the exception perform duties at night and the authority determines, after consultation with the shipowners’ and seafarers’ organizations concerned, that the work will not be detrimental to their health or well-being.

4. The employment, engagement or work of seafarers under the age of 18 shall be prohibited where the work is likely to jeopardize their health or safety. The types of such work shall be determined by national laws or regulations or by the competent authority, after consultation with the shipowners’ and seafarers’ organizations concerned, in accordance with relevant international standards.

33

Conditions of employment

4. Paragraph 1 of this Guideline does not exempt young seafarers from the general obligation on all seafarers to work during any emergency as provided for in Standard A2.3, paragraph 14.

It must be noted that a ship may be detained if conditions are violated.


STCW 2010

Menu (Dialog Box in Excel 2003) ›› Calculation Method ››

CHAPTER VIII

Standards regarding watch-keeping

Section A-VIII/1 Section B-VIII/1 Alcohol

Fitness for duty

1 Administrations shall take account of the danger posed by fatigue of seafarers, especially those whose duties involve the safe and secure operation of a ship.

Standard clauses ( Go to Exception Clause )

2 All persons who are assigned duty as officer in charge of a watch or as a rating forming part of a watch and those whose duties involve designated safety, prevention of pollution and security duties shall be provided with a rest period of not less than:

. 1 a minimum of 10 hours of rest in any 24-hour period; and

. 2 77 hours in any 7-day period.

3 The hours of rest may be divided into no more than two periods, one of which shall be at least 6 hours in length, and the intervals between consecutive periods of rest shall not exceed 14 hours.

4 The requirements for rest periods laid down in paragraphs 2 and 3 need not be maintained in the case of an emergency or in other overriding operational conditions. Musters, fire-fighting and lifeboat drills, and drills prescribed by national laws and regulations and by international instruments, shall be conducted in a manner that minimizes the disturbance of rest periods and does not induce fatigue.

5 Administrations shall require that watch schedules be posted where they are easily accessible. The schedules shall be established in a standardized format* in the working language or languages of the ship and in English.

6 When a seafarer is on call, such as when a machinery space is unattended, the seafarer shall have an adequate compensatory rest period if the normal period of rest is disturbed by call-outs to work.

7 Administrations shall require that records of daily hours of rest of seafarers be maintained in a standardized format*, in the working language or languages of the ship and in English, to allow monitoring and verification of compliance with the provisions of this section. The seafarers shall receive a copy of the records pertaining to them, which shall be endorsed by the master or by a person authorized by the master and by the seafarers. (Multi-language support is now available)

8 Nothing in this section shall be deemed to impair the right of the master of a ship to require a seafarer to perform any hours of work necessary for the immediate safety of the ship, persons on board or cargo, or for the purpose of giving assistance to other ships or persons in distress at sea.

Accordingly, the master may suspend the schedule of hours of rest and require a seafarer to perform any hours of work necessary until the normal situation has been restored. As soon as practicable after the normal situation has been restored, the master shall ensure that any seafarers who have performed work in a scheduled rest period are provided with an adequate period of rest

* The IMO/ILO Guidelines for the development of tables of seafarers’ shipboard working arrangements and formats of records of seafarers’ hours of work or hours of rest may be used.

Exception clause

9 Parties may allow exceptions from the required hours of rest in paragraphs 2.2 and 3 above provided that the rest period is not less than 70 hours in any 7-day period. Exceptions from the weekly rest period provided for in paragraph 2.2 shall not be allowed for more than two consecutive weeks. The intervals between two periods of exceptions on board shall not be less than twice the duration of the exception.

The hours of rest provided for in paragraph 2.1 may be divided into no more than three periods, one of which shall be at least 6 hours in length and neither of the other two periods shall be less than one hour in length. The intervals between consecutive periods of rest shall not exceed 14 hours. Exceptions shall not extend beyond two 24-hour periods in any 7-day period.

Exceptions shall, as far as possible, take into account the guidance regarding prevention of fatigue in section B-VIII/1.

Alcohol

10 Each Administration shall establish, for the purpose of preventing alcohol abuse, a limit of not greater than 0.05% blood alcohol level (BAC) or 0.25 mg/l alcohol in the breath or a quantity of alcohol leading to such alcohol concentration for masters, officers and other seafarers while performing designated safety, security and marine environmental duties.

It must be noted that a ship may be detained if conditions are violated.

Section B-VIII/1

Guidance regarding fitness for duty

Prevention of fatigue

1. In observing the rest period requirements, “overriding operational conditions” should be construed to mean only essential shipboard work which cannot be delayed for safety, security or environmental reasons or which could not reasonably have been anticipated at the commencement of the voyage.

2. Although there is no universally accepted technical definition of fatigue, everyone involved in ship operations should be alert to the factors which can contribute to fatigue, including, but not limited to, those identified by the Organization*, and take them into account when making decisions on ship operations.

3. In applying regulation VIII/1, the following should be taken into account:

Provisions made to prevent fatigue should ensure that excessive or unreasonable overall working hours are not undertaken. In particular, the minimum rest periods specified in section A-VIII/1 should not be interpreted as implying that all other hours may be devoted to watch-keeping or other duties;

The frequency and length of leave periods, and the granting of compensatory leave, are material factors in preventing fatigue from building up over a period of time; and

The provisions may be varied for ships on short sea voyages, provided special safety arrangements are put in place.

4. Exceptions provided for in section A-VIII/1, paragraph 9, should be construed to mean the exceptions laid down by the ILO Convention on Seafarers’ Hours of Work and the Manning of Ships, 1996 (No.180) or the Maritime Labour Convention, 2006, when it enters into force.

The circumstances under which such exceptions are applied should be defined by the Parties.

5. Based on information received as a result of investigating maritime casualties, Administrations should keep their provisions on prevention of fatigue under review.

Prevention of drug and alcohol abuse

6. Drug and alcohol abuse directly affect the fitness and ability of a seafarer to perform watch-keeping duties or duties that involve designated safety, prevention of pollution and security duties. Seafarers found to be under the influence of drugs or alcohol should not be permitted to perform watch-keeping duties or duties that involve designated safety, prevention of pollution and security duties, until they are no longer impaired in their ability to perform those duties.

* See the annex to IMO Assembly resolution A.772(18) on Fatigue factor in manning and safety, paragraphs 2 to 4.4.1 and MSC/Circ.1014. on Guidance on fatigue mitigation and management.


Regime - Work Rest & MLC

Menu (Dialog Box in Excel 2003) ››

In the generic version, the user can select the Regime (Work or Rest) applicable.

In customised versions, any one of the choices (Work or Rest) will be blocked as per that shipping company's policy.

    • If ‘Work’ is selected, ILO clause 5.1a is effective regardless of state of 5.1b and the work hours are marked with an ‘x’ in the report.
    • If ‘Rest’ is selected, rest hours are marked with an ‘x’ in the report.

The user may choose to force MLC 2006 regulations (check-marked). In this case, STCW 2010 waivers will not be considered and violation count will increase.


Data - Get & DB Utilities

Menu (Dialog Box in Excel 2003) ››

Once data has been entered for a crew member, the user clicks on the Menu Dialog box ‘ Save Data ’ button (Ribbon in Office 2007) to save data for that crew into the database. If a Save Data routine is executed after 35 days from start of computing period, the date and time of saving is shown in red font instead of the normal black font. See the image below.

The short-Cut for saving is 'CTRL-S (Hold the CTRL key and press S).

If the master has marked a crew as signed off (inactive), the inactive crew's row is shown in brown font colour (Master user) and in red font (other Fleet users). The master may get the records of inactive crew into the Hours page but will not be able to save any changes. Other Fleet users will not be able to get records of inactive crew into the Hours page.

For Fleet users, the font colour is changed to black for those crew who have not entered any data for the last 3 calendar days. The heads of department and the master can, by observing the black font colour, quicky determine which crew need to complete their data entry.

At the end of the reporting period, the master can export data for selected crew to a small text file than can be e-mailed to the office and imported into the project there. Thus saving paper and time and allowing the office staff to see the computed results readily.

Data for any crew member is imported into the project by clicking on the Menu Dialog box (Ribbon in Office 2007) ‘ Get Data ’ button and selecting the crew from the list displayed as in the image below. The user can filter from - Vessel / Rank / Department / Computing Period Start Date / Vessel Type / Vessel Nationality / User.

The short-Cut for this dialog box is 'CTRL-G' (Hold the CTRL key and press G).

The user may click on the square buttons to the left of the list to filter only Inactive or only Active records. If a filter is executed, the square will change to a grey colour and if clicked, will reset the filter to fetch Inactive + Active records.

EXPORT+EMAIL or EXPORT , IMPORT , DELETE OLD , BACKUP, RESTORE, ADD TO CHART, BULK DATA (SUB-TOTALS), EXPORT O.T . INSPECTION RECORD

Database Utilities is available to the Master and Office users only.

These icons in the Get Crew / DB & Utilities dialog box are displayed only for user in the office and for the Master.

The master and office users may permanently delete selected records by clicking on the 'Delete' icon and confirming from the next dialog box. Multiple records can be selected at the same time for deletion. (Hold the CTRL key and select non-contiguous records. Hold the SHIFT key and select contiguous records).

The master uses this dialog box to Export data to small text files. Only the Master can Export data. The Master and Office users can import data from the text file into the database. Multiple files can be selected at the same time for appending to the database. A record of import operations is saved to simple text files in WRH\Import Record and this is for the benefit of the office user to keep track of incoming files for import into the office database. The text file contains the names of the ships in the batch import and the date and time of import. A copy of the imported files are saved in WRH\Archive\Imported Files. The exported files can be found in WRH\Archive\Exported Files.

Only the Master or CEO user can Delete old records (older than 3 years) and make a complete back up of the database with the current date and time appended to the file name. If for any reason the database has been corrupted, the Master or CEO user can restore the database from a previously saved one.

In order to allow for a closed loop for inpection by authorised persons such as the heads of department on the ships or the Fleet / QA superintendents, the user may click on this icon to open a separate dialog box as follows -

To create a new inspection record, click on the icon at the bottom left with the 'checkmark' image. The list of ships in GET CREW/DB dialog box will be shown in the Vessels box and the number of records in the current filter will also be displayed below this box.

The user may enter any comments in the Comments text box (max. 400 characters) and after checkmarking that all records have been inspected, saves the record. The list box will be appended with the date and time of saving and shows the status as set by the user.

Records older than one year may be deleted at one go from the appropriate icon in the bottom bar. Individual records can be delted from the 'shredder' icon.

This tools is of more use in the ship owner's office than on the ships and assists the users and the head to keep a track of inspections of the records. The list may be presented to auditors to exhibit the degree of involvement by the concerned authorities on the ships and in the office.

The records for inspection for each user are saved to separate encrypted text files in the WRH\InspRecords folder.

The Master and Office users may click on this button to extract the list of crew in the current filter to a separate Excel workbook with columns showing the overtime hours, worked hours, rested hours and crew's heads of department name and rank.

The users may print reports for more than one crew at one go by clicking on this icon

For the sake of companies with many ships, the monitoring at the office can become tedious. This necessitates the export of data as filtered to a separate Excel page from which the user can create sub-totals, charts and create a narrative in a MS Word document. These features are incorporated in the Office BulkData Menu tab. This icon & associated features are available only in the 2007 or later version. See image below.

When the user filters by Vessel /IMO Number (this would be relevant to the office users), a list of vessels is shown. The user (fleet superintendents) may select up to 12 ships to save in his/her user profile. (Hold the CTRL key and select non-contiguous records. Hold the SHIFT key and select contiguous records). The office users may also select all the vessels or none of the vessels by clicking on the appropriate icons.

Only the CEO user sees the 'DELETE VESSEL' icon. The CEO as user can select one or more vessels and permanently delete all records in all the database tables. This process cannot be reversed except from a backup database.

To Export data, the user should first filter the records that are to be exported. Then, when the 'Export' button/icon is clicked, a small text file is generated in the same folder as the database folder.

Only the records seen in the list box will be exported. So the user should filter the desired records before exporting. The user is allowed to change the file name before it is saved, so he/she can save any number of data text files - for back up or for e-mailing to the office / ship.

The Master can Export and attach the created file in one step by clicking on the Email Icon.

There is a sub-filter facility which allows the Master to export all the records in the current filter or only those with violations. If the shipowner requires the Master to export data everyday, the 'Export Violations Only' choice is very good to save on INMARSAT time. However, the exported records will not contain the Head of Dept's signature if the HOD does not have any violations during the same period.

The 'Export All' choice can be used at the end of each month, in which case, the office will have a record of all the crew. In this case the exported records will have the crew member and HOD signatures as the HOD records will be present for same period.

The path for the database file is shown in cell 'K10' in the 'Hours' page. However, the user is advised not to change anything in the database directly but to always use the main project for all the necessary functions.

The user may store this Export text file in lieu of a back up or may e-mail it to other users. (E-mail to the office at the end of the month).

The master can set up a schedule for exporting crew records. When this icon is clicked, the GET CREW/DB dialog box shows a weekday selector and a text box for entering the time of export as follows -

A text file is saved with the schedule and the dialog box shows the next scheduled export date in green font.

The software has to be running for the scheduler to be invoked at the prescribed times. (The export is not done in the background).

At the schedule, the GET CREW/DB dialog box is shown and the master may continue with the export process or cancel it.

If the Master/Office Superintendent is installing an upgrade project (new version), he/she should first select all vessels, all departments, all vessel types, all vessel nationalities, all users and all dates and Export the data to a text file and name it accordingly. A full backup of the database should also be taken.

Close the software and rename the existing .exe files.

The upgrading process does not affect the custom database file.

After replacing the parent project with the new version, the Master/Office Superintendent can (if necessary only), Import the data back into the database by clicking on the Import button and selecting the appropriate file or Restore the entire database from the backup. However, this should not be needed as upgrading does not affect the custom database.

Test the new product - if all is OK, you can delete the old renamed .exe files.

Another method, would be to simply zip the entire WRH folder and save the zip file in a separate location. After upgrading, if all is found OK, the zipped file may be deleted.

To Import data, the user selects the appropriate file from the browser.

Records in the text file are appended to the database if the records do not exist and are overwritten if found (already existing). After importing, the list box is refreshed.

If the default file type is not .PVF, select 'WRHExport, *.pvf' file type from your browser drop-down list. - See below -

This button is also used to import language packs into the database. If the customer has purchased a language pack (or packs), the vendor will e-mail small encrypted text files. The Master saves the file(s) in the same directory as the main project and clicks on the Import icon to append the database with the new language packs.

In order to keep the database size as small as possible and in keeping with quality standards, the Master/CEO may permanently delete records that are older than three years. This is done by clicking on the 'Delete Old' icon and confirming the order from the next dialog box. After deleting, the list box is refreshed. Records thus deleted cannot be recovered except if the user had saved the data to a text file by using the Export facility.

The Master or CEO may save a full back up of the database by clicking on the 'Backup DB' icon (5th icon in the image below) and then on the 'Only Make A backup'. The backup file will have the current date and time [image] appended to the file name. In case the main database file gets corrupted, the user may delete it and rename the backup as 'SN????WRH.mdb" where ???? are the special characters for the purchaser. Alternatively use the Restore DB facility.

The Master and Office users see a message bar with the date and time of the last full back up. Recent backups are shown in green font. If a moderate time has elapsed since the last backup the font is changed to orange colour and finally to red if too much time has elapsed since the last backup. See images below -

If the back file is missing, the message bar displays an appropriate message prompting the user to take a fresh backup.

Sometimes, the MS Access database can increase in size, a phenomena that is called 'Database Bloat'. To reduce this 'bloat', Microsoft has provided a 'Compact and Repair' function which the Master or CEO user may invoke by clicing on the 'Backup + Compact' icon. A full backup is taken automatically before the compacting process is started. In case of a compacting failure, the user may restore the database from the backup.

At the office, only the CEO user may Compact or take a full backup of the database.

Note: When compacting or taking a backup, the Master or CEO should ensure that the software is not being used by anyone else on the LAN for the period of the compact or backup operation.

When the Restore DB icon is clicked, the Windows browser opens to the folder where the back ups are stored.

Select the file required and confirm by typing the PIN in the pop up box.

As in the image above, if MS Access files are not shown, click on the file type drop down arrow to select MS Access file types.

The old database will be saved with the current date in its name and the back up will be used to copy itself to the file 'SN????WRH.mdb" where ???? are the special characters for the purchaser.

Note: When Restoring, the Master or CEO should ensure that the software is not being used by anyone else on the LAN for the period of the Restore operation.

When the Add to Chart icon is clicked, the selected records (a maximum of 16) are extracted and sent to the Chart Table in one stroke. All previous data in the Chart Table is erased. The Master user will see full NC summary report for the selected crew.


License Print Chart Clear

Menu (Dialog Box in Excel 2003) ››

License Print Chart Clear

The 'Show License' button pops up the license dialog box

This box displays the drive that the project is stored in. To show the product id information, the user clicks on the System / Product info button. All the information is requried by the vendor to generate a license file. The license dialog box also displays the the Status (Registered or Unregistered).

The user may use the 'Copy to Clipboard' button and manually paste the information in an e-mail to sales_info@cargocal.com However, the vendor prefers to receive the text file generated by the software on clicking the 'Syst Prod Info' icon that will be found in the WRH folder.

When the Product ID information is received and verified, the project author will send a license file. This license file is encrypted with the above data and cannot be opened by any application. This license file has to be saved in a folder WRH in the same drive as indicated in the dialog box.

The Terms & Conditions buttons shows the Terms and Conditions in as new dialog box as follows -

Clicking on 'Don't Accept' will close the application without further interaction by the user.

Print Forms:

When this button is clicked, the pages 1, 2 and 2a are printed. The printer will pause after printing the first page to allow the user to flip the paper over. If the user has entered comments (remarks), and there are no violations, the printing will be paused for the user to select whether or not to print page 2a. If, however, there are violations, page 2a is printed automatically.

On the ships, signatures (scanned images) are not printed. Prints of the signatures are seen only in the reports printed in the Office. This is because, it is expected that prints of reports generated on the ships have original signatures in ink. If the user selects to print to a PDF file, scanned signature images of the HOD (if available) is inserted into the report.

With Office 2007 or later, PDF Reports are automatically stored in the PDF Reports sub-folder. With Office 2003, (if the user has access to a PDF Printer and it is set as default printer), the user has to assign the file name and file path.

The user may print more than one crew's reports at the same time by selecting multiple rows in the GET CREW/DB dialog box and clicking on the icon at the top right.

Add To Chart:

When this button is clicked (or the dedicated button on the 'Hours' page),

Maximum of 16 records

The heads of departments can compare on a chart the hours and violations for different crew members. Data is sent to the Chart Table by clicking on the ‘Add To Chart’ button in the ‘Hours’ page. If a duplicate is detected, the program prompts the user to input permission to overwrite. The facility is provided for up to 16 crew members. To delete any row, the user selects the contents from Name to Warnings for concerned row and right-clicks and then selects ‘Clear Contents’. The chart is displayed on the ‘ Chart ’ page.

Similarly, at the office, the evaluator/superintendent may send to the chart tables, for ready comparison, the records for officers of the same rank from different vessels, say for the Chief Officers of sister vessels.

Alternatively to this one-crew-at-a-time procedure, the user may populate the chart table in one stroke with selected items in the Get Crew / DB Dialog box by selecting the needed records and then clicking on the Add to Chart button .

The ‘Clear Data’ button clears the pages of all data except the data at the top of the ‘Hours’ page.


Log In/Out

Menu (Dialog Box in Excel 2003) ››

With this button, the user can select another user and in turn the other user's data filter gets activated.

When clicked, the 'Select User' dialog box is popped up.

Ribbon Office 2003


Vessel Parameters

Menu (Dialog Box in Excel 2003) ››

On the ship, the first time, (before entering the hours worked for each crew), the Master user sets up the vessel's parameters from the Vessel Para icon via the Menu Dialog Box (Ribbon in Office 2007)

There is a checksum routine to ensure that the Master enters a valid IMO Number. The Master may enter any text in the Ship Name field (or correct an existing entry).

The next two fields are from drop down boxes. The Master may select any value from the drop down lists.

The Company Name is automatically populated from the custom data file. The Group Name should be entered exactly as advised by the company.

The floppy disk icon is used to save the data to the database. This operation requires a PIN number for successful execution. When the correct PIN is entered, the following is done -

    1. If the IMO number exists in the database, the values for the other four fields are changed.
    2. If the IMO number itself if changed, all records in the database for any ship (except the TEST SHIP) are permanently erased and a new ship is created with the new information in this dialog box. This process cannot be undone (except by restoring a previously backed up database via the Get Crew / DB dialog box).

Once the software is purchased, the vendor will send the master, via the ship owners, a custom data file in zipped file format. The zipped file contents should be extracted to the same WRH folder as the software itself.

If the custom data files are found on the user's PC WRH folder, data is written to the custom database. If they are not found, the data is written to the default, trial mode database. If the software has been purchased, the user should ensure that the custom data files are available in the WRH folder before setting up the vessel's parameters from this dialog box.


Ranks List

Menu (Dialog Box in Excel 2003) ››

This dialog box is used to set up a list of the Ranks on board. It is active only if the Master is the current user and selected via the Menu dialog box (Ribbon in Office 2007).

Generally, this section is updated from the custom data file. The custom data file can be coded with a common list of the ranks for the entire fleet. If the coded ranks section is found in the custom data file, the ranks list data entry area is disabled (Read Only mode), automatically.

The Master should set the ranks list as per crewing of his vessel. In particular, he has to pay attention to the list as displayed in his vessel's manning certificate - refer to the quotation below, in blue font, from the Model Format. (Only one rank per line - press the ENTER key after typing each rank).

"For those positions/ranks that are also listed in the ship’s safe manning document, the terminology used should be the same as in that document".

However, in most cases, the ship owner's/management office may create a list of uniform ranks nomenclature for the fleet. In this case, the master should use the ranks from this list only as any deviation would be detrimental to the software's use in the office where the software executes comparisons and sub-totals, etc. for crew having identical ranks.

It would be meaningless in the office version of the software to receive data from one ship listing the Chief Officer as 'CHOFF', from another as 'CH. OFFICER', yet another as '1ST MATE', Etc. If you have a list of ranks provided by your office and you need to create a new rank, you should do so after co-ordinating with your office and then inform the rest of the fleet to add the new rank to the appropriate department in their copy of the software. For Example: A ship may get a new crew rank like 'Security Personnel'. This new Rank nomenclature should be decided at a fleet level and be added to the Ranks List on all the ships.

In this dialog box, the master enters the ranks in each department separately. The department is selected from the drop-down box to the right side.

When the Master clicks on the 'Execute' button, the entries are appended to the list existing in the database. If already existing, they are overwritten. The Execute button has to be clicked before going to the next department or else the entries will not be saved.

The first two entries for the Deck and Engine departments are considered to be Heads of Department.

Only the first entry for the remaining departments is considered to be Head of Department.


Crew List

Menu (Dialog Box in Excel 2003) ››

The Get Crew / DB dialog box is populated with records for crew members that have been first created by the Master user via the Crew List icon in the Menu dialog box (Ribbon in Office 2007).

This dialog box has two types of displays -

1. a list view of all the crew entered and in the database over the previous year as follows -

2. a screen showing one crew at a time with a shortened version of the list as follows -

The Master has to enter his/her data first and save by clicking on the floppy disk icon.

Then, the Master has to enter the data for the heads of departments (Chief Engineer, Chief Officer, 1st Engineer, Etc.)

Licensed or W-Keeper has to include those with designated duties towards Safety, Security, Pollution or on Rostered Shifts.

The Master can select the USA Regulations clauses individually for each crew. If the company has not opted to have us block the choice, the crew will be able to select a different clause at any time. This is necessary where the ships will be sailing in and out of the USA waters. The company may choose to have us block all the choices where their vessels do not come under the USA administration at all in which case, 'N/A' will be shown as default.

CBAs - Use 1, 3, 5 or 7 for Officers and 2, 4, 6 or 8 for Ratings. (Up to 4 diferrent CBAs for Officers and 4 for Ratings can be assigned by the Master in the List of Holidays page)

Then the Master may enter the data for the rest of the crew in any order.

When a crew member joins the vessel the Master has to create the new crew's record before the records can be seen in the Get Crew / DB dialog box.

The Master can select a signature image file for each crew. The signatures will not be printed when the software is used on the ship. When the Master exports data files, the signatures are included with the monthly data. If the Office user prints a file, the signatures are printed as well. To reduce the file size, the Master should ensure that the images are in black and white. Only JPEG images are acceptable by this software.

If your office does not require to receive the signatures as above, please do not attach any signature images from this dialog box as image files increase the size of the database. Also, it increases the size of the file which the Master may send to the office each month by INMARSAT.

On the ships, if the reports are not printed on paper but saved to .PDF files, it is necessary to save the scanned signatures of the heads of department only. In this way, when the .PDF is e-mailed to the individual crew (in lieu of a paper print), it will bear the scanned signature of the concerned head of department.

A signature image previously assigned can be deleted by right-clicking on the image.

Setting up of 'Normal' working hours.

The master may prepare a set of templates representing the 'normal' working hours of the crew by clicking on the icon on the far right, (with the blue arrow) in the above image. This will show the Template Control screen.

The first icon with the green clock is used to clear the A.M. / P.M. bar. The master may then click and drag the hours to set up a new pattern of working and resting hours. When the A.M./P.M. bar is used directly, a message prompt is shown if the hours selected will result in a non-conformity for the given parameters (MLC/STCW, USA clause, watch-keeper or non watch-keeper, etc.). This can be confirmed by the master by clicking on the second icon ('Test Validity' icon), when the 'Hours' page will be populated with the selected hours thus showing the calculated results in detail. The master saves the template by clicking on the 'Floppy disk' icon and giving the new template a 'friendly' name for easy identification (Example 'Dayworker').

The master assigns the 'normal' working hours for each crew by selecting the working hours from the 'Existing Templates' drop-down and clicking on the 'Select Templete' icon at the right hand side of the drop down box, or by using the A.M./P.M. bar directly. The working hours are saved for the selected crew when the 'Floppy Disk' icon at the bottom is clicked.

When 'normal' hours are assigned for any crew by the master, the 'Hours' page for that crew will be auto-populated with these hours for all future dates until the crew has been made 'inactive' (signed off) by the master.

If made available in the license file, the icon with the blue mouse image may be used for setting up working hours in fractions of less than 30 minutes.

Example 08-12 13-15 19.8-24

If the new crew is also a head of department, the Master has to amend the data for all the crew under the supervision of this new head of department. The Master can [image] use the Head of Department (Name / Rank) filter for this purpose to extract only the records with the name of the previous head of department and then replace the previous name with the newly joined head of deptartment from the sub-box after clicking on the Change HOD icon. When the Save icon is clicked, the HOD name and rank is changed for all the 'Active' crew in the list box to the left. If necessary, adjust the Computing Report Start Date >= filter to get only the required records in the list box.

In the above example, the HOD 'CHENG PINTO' for crew 'NEWSEC HENRY' will be changed to 'NEWCHENG ORIOS'. This will be done for all 'Active' crew in the left hand side list box (in Green Font Colour). Crew who are Inactive (in Red Font) will be bypassed.

Setting the Pay Off date / Sign Off (Make Inactive) A Crew.

The pay off date is set to the 1st of December of the next year by default. The master has to change this date to the actual date by selecting the actual date using the calendar control. Clicking inside the 'Pay Off Date' field will show a calendar control.

The master may select the current date by clicking on the 'Today' button.

Double-clicking on a date or the icon at the bottom right of the calendar control sends the selected date to the relevant field.

Data is actually stored in the database only when the Save icon with the Floppy Disk image is clicked.

The Master may make any crew inactive (upon signing off the vessel) by clicking on the 'Sign Off This Crew' icon. When this is done, the crew's record is made inactive to all all logged in users except for the Master and Office users. Before making a crew inactive, the master should ask the respective HOD if the crew member's report has been completed and printed. A crew can be made Inactive only if the Pay Off date is not more than one day later than the current date. If the pay off date is later than one day from the current date, the software will open the 'Set / Change Pay Off Date' box (see image above), from where the master can change the date from the drop-down selection or selecting the current date by clicking on the icon with the baggage trolley.

To make an inactive crew active again, the master can click on the 'Sign On This Crew' icon. The Pay Off date will be set to the last date of the next year by default.

From the crewlist dialog box, the Master can filter the list to show 'All' or 'Active' or 'Inactive' crew. This is done by clicking on the buttons as in the image to the left. The Master also change the filter by double-clicking or right-clicking the 'SHOWING ALL CREW' bar seen in the image above.

The master may filter the records by 'Pay Off Month'. Clicking on this icon the first time, will filter the crew who have been set to sign off during the current month. Thereafter, left-clicking will filter the previous month and right-clicking will filter the records for the next month.


Bulk Data Export

Available only with Excel 2007 or later only -

This is for office users only. Please contact the software vendor for a separate help file.


Report Samples

In conformity with the requirements of international regulations, this software provides multi-language support in the report pages - If the customer has purchased language packs, the respective languages will be seen in the drop down list in the Hours Page (Cell F12). With Excel 2003, the drop down list is stationed over cell F12, With Excel 2007 and later, the customised ribbon bar has a drop down for selecting the working language. The Master can import new languages (if purchased by his/her company) from the Get Crew / DB -> Import icon.

For Excel 2007 or later versions of Excel only, the Master user may click on the icon in the GET CREW/DB dialog box to extract the records in the list to two separate pages -

    • BulkDaily
    • NC Summary

The same icon has the function of populating the 'Chart Table' page for other Fleet users.

The BulkDaily page will show all the crew records (with daily working hours) for the month in a single table. Those crew who have not entered any data at all, will be shown with an orange back colour

The NC Summay page shows all the crew records (with violation types on each day) for the month. Those crew who have not entered any data at all, will be shown with an orange back colour. The master may click on the legend to highlight the instances of any of the violations.

From both the above pages, double-clicking on a row will result in populating the Hours page with the selected crew's record giving the master full details of that record.

Page 1

Page 2

Page 2a - Comments

Page 1 Page 2 Page 2a


About

CERTIFICATION

This product Version V2010.6.xx (as amended) is certified by LLOYD'S REGISTER, LONDON as being compliant with all current regulations under -

Quote

Maritime Crew Work and Rest Hours Computations for Clauses in:

    • International Labour Organisation Convention 180 – Article 5

    • Maritime Labour Convention 2006 – Regulation 2.3 including multi-language support.

    • International Maritime Organisation Convention on Standards of Training, Certification and Watchkeeping for Seafarers, 1978, as amended in 2010 (Manila Amendments) – Chapter VIII, section A-VIII/1. Including exception clauses and multi-language support.

    • United States Oil Pollution Act 1990, Code of Federal Regulations - Title 33 Part 156 section 210(d) and 46 USC 8104.

    • OCIMF Recommendations Relating to the Application of Requirements Governing Seafarers’ Hours of Work and Rest where clauses in above international regulations are applied throughout the period the crew is at work.

Unquote

Certificate Number : SWC 1200001 / M1

Refer to: http://cargocal.com/SNsWRHCerts.html

The project is developed and maintained by

Sovereign Newzealand®

"Orchids" B-15 Sector 9

Central Business District

Navi Mumbai 400614

E-Mail: sales_info@cargocal.com

Website: http://cargocal.com